module AnimeSceneHelper
  def anime_scene_pending_changes_list(anime_scene)
    s = '<ul class="pending_changes_list">'
    
    if anime_scene.pending_changes.nil? or anime_scene.pending_changes.empty?
      s += "<li>None</li>"
    else
      anime_scene.pending_changes.each_pair do |key,value_support|
        if key == :alternate_names
          value_support.each_pair do |action,action_value_support|
            action_value_support.each_pair do |value,supporters|
              s += "<li><em>#{h action.to_s.titleize} #{h key.to_s.singularize.titleize}</em> - #{h value} <em>(Submitted by "
              User.find(:all, :conditions => {:id => supporters}).each do |supporter|
                s += "#{h supporter.login}, "
              end
              s = s[0..-3] + ")"
              if current_user.has_role? 'anime_scene_moderator'
                s += ' ' + link_to(image_tag('approve.png', :alt => '(Approve)'), approve_anime_scene_pending_change_path(:id => anime_scene.id, :key => key, :value => value, :change_action => action), :method => :put)
                s += ' ' + link_to(image_tag('delete.png', :alt => '(Reject)'), reject_anime_scene_pending_change_path(:id => anime_scene.id, :key => key, :value => value, :change_action => action), :method => :put)
              elsif supporters.include? current_user.id
                s += ' ' + link_to(image_tag('delete.png', :alt => '(Remove Support)'), reject_anime_scene_pending_change_path(:id => anime_scene.id, :key => key, :value => value, :change_action => action), :method => :put)
              else
                s += ' ' + link_to(image_tag('approve.png', :alt => '(Add Support)'), approve_anime_scene_pending_change_path(:id => anime_scene.id, :key => key, :value => value, :change_action => action), :method => :put)
              end
              s += "</em></li>"
            end
          end
        else
          value_support.each_pair do |value,supporters|
            if key == :anime_series
              s += "<li><em>#{h key.to_s.titleize}</em> - #{h AnimeSeries.find(value).name} <em>(Submitted by "
            else
              s += "<li><em>#{h key.to_s.titleize}</em> - #{h value} <em>(Submitted by "
            end
            User.find(:all, :conditions => {:id => supporters}).each do |supporter|
              s += "#{h supporter.login}, "
            end
            s = s[0..-3] + ")"
            if current_user.has_role? 'anime_scene_moderator'
              s += ' ' + link_to(image_tag('approve.png', :alt => '(Approve)'), approve_anime_scene_pending_change_path(:id => anime_scene.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
              s += ' ' + link_to(image_tag('delete.png', :alt => '(Reject)'), reject_anime_scene_pending_change_path(:id => anime_scene.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            elsif supporters.include? current_user.id
              s += ' ' + link_to(image_tag('delete.png', :alt => '(Remove Support)'), reject_anime_scene_pending_change_path(:id => anime_scene.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            else
              s += ' ' + link_to(image_tag('approve.png', :alt => '(Add Support)'), approve_anime_scene_pending_change_path(:id => anime_scene.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            end
            s += "</em></li>"
          end
        end
      end
    end
    
    s += "</ul>"
    
    s
  end
end
