require 'set'

module AnimeTriviaQuestionHelper
  def anime_trivia_pending_changes_list(anime_trivia_question)
    s = '<ul class="pending_changes_list">'
    
    if anime_trivia_question.pending_changes.nil? or anime_trivia_question.pending_changes.empty?
      s += "<li>None</li>"
    else
      anime_trivia_question.pending_changes.each_pair do |key,value_support|
        if key == :alternate_names
          value_support.each_pair do |action,action_value_support|
            action_value_support.each_pair do |value,supporters|
              s += "<li><em>#{h action.to_s.titleize} #{h key.to_s.singularize.titleize}</em> - #{h value} <em>(Submitted by "
              User.find(:all, :conditions => {:id => supporters}).each do |supporter|
                s += "#{h supporter.login}, "
              end
              s = s[0..-3] + ")"
              if current_user.has_role? 'anime_trivia_moderator'
                s += ' ' + link_to(image_tag('approve.png', :alt => '(Approve)'), approve_anime_trivia_question_pending_change_path(:id => anime_trivia_question.id, :key => key, :value => value, :change_action => action), :method => :put)
                s += ' ' + link_to(image_tag('delete.png', :alt => '(Reject)'), reject_anime_trivia_question_pending_change_path(:id => anime_trivia_question.id, :key => key, :value => value, :change_action => action), :method => :put)
              elsif supporters.include? current_user.id
                s += ' ' + link_to(image_tag('delete.png', :alt => '(Remove Support)'), reject_anime_trivia_question_pending_change_path(:id => anime_trivia_question.id, :key => key, :value => value, :change_action => action), :method => :put)
              else
                s += ' ' + link_to(image_tag('approve.png', :alt => '(Add Support)'), approve_anime_trivia_question_pending_change_path(:id => anime_trivia_question.id, :key => key, :value => value, :change_action => action), :method => :put)
              end
              s += "</em></li>"
            end
          end
        else
          value_support.each_pair do |value,supporters|
            if key == :anime_series
              s += "<li><em>#{h key.to_s.titleize}</em> - #{h AnimeSeries.find(value).name} <em>(Submitted by "
            else
              s += "<li><em>#{h key.to_s.titleize}</em> - #{h value} <em>(Submitted by "
            end
            User.find(:all, :conditions => {:id => supporters}).each do |supporter|
              s += "#{h supporter.login}, "
            end
            s = s[0..-3] + ")"
            if current_user.has_role? 'anime_trivia_moderator'
              s += ' ' + link_to(image_tag('approve.png', :alt => '(Approve)'), approve_anime_trivia_question_pending_change_path(:id => anime_trivia_question.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
              s += ' ' + link_to(image_tag('delete.png', :alt => '(Reject)'), reject_anime_trivia_question_pending_change_path(:id => anime_trivia_question.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            elsif supporters.include? current_user.id
              s += ' ' + link_to(image_tag('delete.png', :alt => '(Remove Support)'), reject_anime_trivia_question_pending_change_path(:id => anime_trivia_question.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            else
              s += ' ' + link_to(image_tag('approve.png', :alt => '(Add Support)'), approve_anime_trivia_question_pending_change_path(:id => anime_trivia_question.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            end
            s += "</em></li>"
          end
        end
      end
    end
    
    s += "</ul>"
    
    s
  end
  
  def pick_anime_bonus_question(question, unused)
    unused = Set.new unused
    
    bonus = nil
    if !question.children.empty?
      # Prefer an unused child.
      children = question.children
      while !children.empty?
        bonus = children.slice!(rand(children.length))
        if unused.include?(bonus.id) and !bonus.pending_approval?
          break
        end
        bonus = nil
      end
    end
    
    if bonus.nil?
      # Select a bonus question for this question.
      bonii = AnimeTriviaQuestion.find(:all).select { |q| q.anime_series == question.anime_series and q.question_type == :bonus and q.parent.nil? and !q.pending_approval? }
      while !bonii.empty?
        bonus = bonii.slice!(rand(bonii.length))
        if unused.include? bonus.id
          break
        end
        bonus = nil
      end
    end
    
    return bonus
  end
end
