# Helper methods for the Role class.
module RolesHelper
  # Outputs a list of roles that grant the specifed role by encompassing it.
  def granting_role_list(role, granting_roles)
    # Don't print anything unless some other role granted this role.
    if granting_roles.size == 1 and granting_roles[0] == role
      return
    end
    
    string = '(Via '
    granting_roles.each do |role|
      string += link_to h(role.name.titleize), role_path(role.id)
      string += ', '
    end
    string = string[0..-3]
    string += ')'
    
    string
  end
end
