module VideoGameHelper
  def game_pending_changes_list(video_game)
    s = '<ul class="pending_changes_list">'
    
    if video_game.pending_changes.nil? or video_game.pending_changes.empty?
      s += "<li>None</li>"
    else
      video_game.pending_changes.each_pair do |key,value_support|
        if key == :alternate_names or key == :video_game_genres
          value_support.each_pair do |action,action_value_support|
            action_value_support.each_pair do |value,supporters|
              if key == :video_game_genres
                s += "<li><em>#{h action.to_s.titleize} #{h key.to_s.singularize.titleize}</em> - #{h VideoGameGenre.find(value).name} <em>(Submitted by "
              else
                s += "<li><em>#{h action.to_s.titleize} #{h key.to_s.singularize.titleize}</em> - #{h value} <em>(Submitted by "
              end
              User.find(:all, :conditions => {:id => supporters}).each do |supporter|
                s += "#{h supporter.login}, "
              end
              s = s[0..-3] + ")"
              if current_user.has_role? 'video_game_moderator'
                s += ' ' + link_to(image_tag('approve.png', :alt => '(Approve)'), approve_video_game_pending_change_path(:id => video_game.id, :key => key, :value => value, :change_action => action), :method => :put)
                s += ' ' + link_to(image_tag('delete.png', :alt => '(Reject)'), reject_video_game_pending_change_path(:id => video_game.id, :key => key, :value => value, :change_action => action), :method => :put)
              elsif supporters.include? current_user.id
                s += ' ' + link_to(image_tag('delete.png', :alt => '(Remove Support)'), reject_video_game_pending_change_path(:id => video_game.id, :key => key, :value => value, :change_action => action), :method => :put)
              else
                s += ' ' + link_to(image_tag('approve.png', :alt => '(Add Support)'), approve_video_game_pending_change_path(:id => video_game.id, :key => key, :value => value, :change_action => action), :method => :put)
              end
              s += "</em></li>"
            end
          end
        else
          value_support.each_pair do |value,supporters|
            if key == :video_game_continuum
              s += "<li><em>#{h key.to_s.titleize}</em> - #{h VideoGameContinuum.find(value).name} <em>(Submitted by "
            elsif key == :video_game_system
              s += "<li><em>#{h key.to_s.titleize}</em> - #{h VideoGameSystem.find(value).name} <em>(Submitted by "
            else
              s += "<li><em>#{h key.to_s.titleize}</em> - #{h value} <em>(Submitted by "
            end
            User.find(:all, :conditions => {:id => supporters}).each do |supporter|
              s += "#{h supporter.login}, "
            end
            s = s[0..-3] + ")"
            if current_user.has_role? 'video_game_moderator'
              s += ' ' + link_to(image_tag('approve.png', :alt => '(Approve)'), approve_video_game_pending_change_path(:id => video_game.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
              s += ' ' + link_to(image_tag('delete.png', :alt => '(Reject)'), reject_video_game_pending_change_path(:id => video_game.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            elsif supporters.include? current_user.id
              s += ' ' + link_to(image_tag('delete.png', :alt => '(Remove Support)'), reject_video_game_pending_change_path(:id => video_game.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            else
              s += ' ' + link_to(image_tag('approve.png', :alt => '(Add Support)'), approve_video_game_pending_change_path(:id => video_game.id, :key => key, :value => value, :change_action => 'change'), :method => :put)
            end
            s += "</em></li>"
          end
        end
      end
    end
    
    s += "</ul>"
    
    s
  end
end
