require 'yaml'

# Contains information about a game session, stored server-side to
# prevent overflowing a cookie.
class GameSession < ActiveRecord::Base
  # Cleans a given game session, as well as outdated sessions (i.e. ones that
  # haven't been touched in 60 minutes.
  def GameSession.clean_sessions(id)
    GameSession.destroy(id)
    
    GameSession.destroy_all("updated_at < '#{1.hour.ago.to_s(:db)}'")
  end
  
  def data
    YAML::load(read_attribute(:data))
  end
  
  def data=(my_data)
    write_attribute(:data, my_data.to_yaml)
  end
end