# Observes the User class to hook e-mail notifications to actions.
class UserObserver < ActiveRecord::Observer
  # Delivers a signup notification to the User that was just created.
  def after_create(user)
    UserMailer.deliver_signup_notification(user)
  end

  # Delivers an activation notice to a User that was just activated.
  def after_save(user)
    UserMailer.deliver_activation(user) if user.recently_activated?
    UserMailer.deliver_reset_password(user) if user.active? && !user.activation_code.nil?
  end
end
