Role.seed(:name) do |s|
  s.name = 'anime_series_approver'
  s.description = 'Anime series approvers may only approve or mark desired changes on anime series.'
  s.sort_order = 25
end

anime_series_approver = Role.find_by_name('anime_series_approver')

Role.seed(:name) do |s|
  s.name = 'anime_series_moderator'
  s.description = 'Anime series moderators may fully moderate anime series.'
  s.sort_order = 12
end

anime_series_moderator = Role.find_by_name('anime_series_moderator')
anime_series_moderator.encompassed_roles << anime_series_approver
anime_series_moderator.save!

Role.seed(:name) do |s|
  s.name = 'anime_genre_moderator'
  s.description = 'Anime genre moderators may fully moderate anime genres.'
  s.sort_order = 13
end

anime_genre_moderator = Role.find_by_name('anime_genre_moderator')

Role.seed(:name) do |s|
  s.name = 'anime_continuum_approver'
  s.description = 'Anime continuum approvers may only approve or mark desired changes on anime continuums.'
  s.sort_order = 26
end

anime_continuum_approver = Role.find_by_name('anime_continuum_approver')

Role.seed(:name) do |s|
  s.name = 'anime_continuum_moderator'
  s.description = 'Anime continuum moderators may fully moderate anime continuums.'
  s.sort_order = 14
end

anime_continuum_moderator = Role.find_by_name('anime_continuum_moderator')
anime_continuum_moderator.encompassed_roles << anime_continuum_approver
anime_continuum_moderator.save!

Role.seed(:name) do |s|
  s.name = 'anime_trivia_approver'
  s.description = 'Anime trivia approvers may only approve or mark desired changes on anime trivia.'
  s.sort_order = 27
end

anime_trivia_approver = Role.find_by_name('anime_trivia_approver')

Role.seed(:name) do |s|
  s.name = 'anime_trivia_moderator'
  s.description = 'Anime trivia moderators may fully moderate anime trivia.'
  s.sort_order = 15
end

anime_trivia_moderator = Role.find_by_name('anime_trivia_moderator')
anime_trivia_moderator.encompassed_roles << anime_trivia_approver
anime_trivia_moderator.save!

Role.seed(:name) do |s|
  s.name = 'anime_tune_approver'
  s.description = 'Anime tune approvers may only approve or mark desired changes on anime tunes.'
  s.sort_order = 28
end

anime_tune_approver = Role.find_by_name('anime_tune_approver')

Role.seed(:name) do |s|
  s.name = 'anime_tune_moderator'
  s.description = 'Anime tune moderators may fully moderate anime tunes.'
  s.sort_order = 16
end

anime_tune_moderator = Role.find_by_name('anime_tune_moderator')
anime_tune_moderator.encompassed_roles << anime_tune_approver
anime_tune_moderator.save!

Role.seed(:name) do |s|
  s.name = 'anime_scene_approver'
  s.description = 'Anime scene approvers may only approve or mark desired changes on anime scenes.'
  s.sort_order = 29
end

anime_scene_approver = Role.find_by_name('anime_scene_approver')

Role.seed(:name) do |s|
  s.name = 'anime_scene_moderator'
  s.description = 'Anime scene moderators may fully moderate anime scenes.'
  s.sort_order = 17
end

anime_scene_moderator = Role.find_by_name('anime_scene_moderator')
anime_scene_moderator.encompassed_roles << anime_scene_approver
anime_scene_moderator.save!

Role.seed(:name) do |s|
  s.name = 'anime_question_approver'
  s.description = 'Anime question approvers may only approve or mark desired changes on anime questions (i.e. trivia, tunes, or scenes).'
  s.sort_order = 9
end

anime_question_approver = Role.find_by_name('anime_question_approver')
anime_question_approver.encompassed_roles << anime_trivia_approver
anime_question_approver.encompassed_roles << anime_tune_approver
anime_question_approver.encompassed_roles << anime_scene_approver
anime_question_approver.save!

Role.seed(:name) do |s|
  s.name = 'anime_question_moderator'
  s.description = 'Anime question moderators may fully moderate anime questions (i.e. trivia, tunes, or scenes).'
  s.sort_order = 8
end

anime_question_moderator = Role.find_by_name('anime_question_moderator')
anime_question_moderator.encompassed_roles << anime_trivia_moderator
anime_question_moderator.encompassed_roles << anime_tune_moderator
anime_question_moderator.encompassed_roles << anime_scene_moderator
anime_question_moderator.encompassed_roles << anime_question_approver
anime_question_moderator.save!

Role.seed(:name) do |s|
  s.name = 'anime_super_approver'
  s.description = 'Anime super approvers may only approve or mark desired changes on any anime-related topic (except genres).'
  s.sort_order = 5
end

anime_super_approver = Role.find_by_name('anime_super_approver')
anime_super_approver.encompassed_roles << anime_series_approver
anime_super_approver.encompassed_roles << anime_continuum_approver
anime_super_approver.encompassed_roles << anime_question_approver
anime_super_approver.save!

Role.seed(:name) do |s|
  s.name = 'anime_super_moderator'
  s.description = 'Anime super moderators may fully moderate any anime-related topic.'
  s.sort_order = 4
end

anime_super_moderator = Role.find_by_name('anime_super_moderator')
anime_super_moderator.encompassed_roles << anime_series_moderator
anime_super_moderator.encompassed_roles << anime_genre_moderator
anime_super_moderator.encompassed_roles << anime_continuum_moderator
anime_super_moderator.encompassed_roles << anime_question_moderator
anime_super_moderator.encompassed_roles << anime_super_approver
anime_super_moderator.save!

Role.seed(:name) do |s|
  s.name = 'video_game_approver'
  s.description = 'Video game approvers may only approve or mark desired changes or video games.'
  s.sort_order = 30
end

video_game_approver = Role.find_by_name('video_game_approver')

Role.seed(:name) do |s|
  s.name = 'video_game_moderator'
  s.description = 'Video game approvers may fully moderate video games.'
  s.sort_order = 18
end

video_game_moderator = Role.find_by_name('video_game_moderator')
video_game_moderator.encompassed_roles << video_game_approver
video_game_moderator.save!

Role.seed(:name) do |s|
  s.name = 'video_game_system_approver'
  s.description = 'Video game system approvers may only approve or mark desired changes on video game systems.'
  s.sort_order = 31
end

video_game_system_approver = Role.find_by_name('video_game_system_approver')

Role.seed(:name) do |s|
  s.name = 'video_game_system_moderator'
  s.description = 'Video game system moderators may fully moderate video game systems.'
  s.sort_order = 19
end

video_game_system_moderator = Role.find_by_name('video_game_system_moderator')
video_game_system_moderator.encompassed_roles << video_game_system_approver
video_game_system_moderator.save!

Role.seed(:name) do |s|
  s.name = 'video_game_genre_moderator'
  s.description = 'Video game genre moderators may fully moderate video game genres.'
  s.sort_order = 20
end

video_game_genre_moderator = Role.find_by_name('video_game_genre_moderator')

Role.seed(:name) do |s|
  s.name = 'video_game_continuum_approver'
  s.description = 'Video game continuum approvers may only approve or mark desired changes on video game continuums.'
  s.sort_order = 32
end

video_game_continuum_approver = Role.find_by_name('video_game_continuum_approver')

Role.seed(:name) do |s|
  s.name = 'video_game_continuum_moderator'
  s.description = 'Video game continuum moderators may fully moderate video game continuums.'
  s.sort_order = 21
end

video_game_continuum_moderator = Role.find_by_name('video_game_continuum_moderator')
video_game_continuum_moderator.encompassed_roles << video_game_continuum_approver
video_game_continuum_moderator.save!

Role.seed(:name) do |s|
  s.name = 'video_game_trivia_approver'
  s.description = 'Video game trivia approvers may only approve or mark desired changes on video game trivia.'
  s.sort_order = 33
end

video_game_trivia_approver = Role.find_by_name('video_game_trivia_approver')

Role.seed(:name) do |s|
  s.name = 'video_game_trivia_moderator'
  s.description = 'Video game trivia moderators may fully moderate video game trivia.'
  s.sort_order = 22
end

video_game_trivia_moderator = Role.find_by_name('video_game_trivia_moderator')
video_game_trivia_moderator.encompassed_roles << video_game_trivia_approver
video_game_trivia_moderator.save!

Role.seed(:name) do |s|
  s.name = 'video_game_tune_approver'
  s.description = 'Video game tune approvers may only approve or mark desired changes on video game tunes.'
  s.sort_order = 34
end

video_game_tune_approver = Role.find_by_name('video_game_tune_approver')

Role.seed(:name) do |s|
  s.name = 'video_game_tune_moderator'
  s.description = 'Video game tune moderators may fully moderate video game tunes.'
  s.sort_order = 23
end

video_game_tune_moderator = Role.find_by_name('video_game_tune_moderator')
video_game_tune_moderator.encompassed_roles << video_game_tune_approver
video_game_tune_moderator.save!

Role.seed(:name) do |s|
  s.name = 'video_game_scene_approver'
  s.description = 'Video game scene approvers may only approve or mark desired changes on video game scenes.'
  s.sort_order = 35
end

video_game_scene_approver = Role.find_by_name('video_game_scene_approver')

Role.seed(:name) do |s|
  s.name = 'video_game_scene_moderator'
  s.description = 'Video game scene moderators may fully moderate video game scenes.'
  s.sort_order = 24
end

video_game_scene_moderator = Role.find_by_name('video_game_scene_moderator')
video_game_scene_moderator.encompassed_roles << video_game_scene_approver
video_game_scene_moderator.save!

Role.seed(:name) do |s|
  s.name = 'video_game_question_approver'
  s.description = 'Video game question approvers may only approve or mark desired changes on video game questions (i.e. trivia, tunes, or scenes)'
  s.sort_order = 11
end

video_game_question_approver = Role.find_by_name('video_game_question_approver')
video_game_question_approver.encompassed_roles << video_game_trivia_approver
video_game_question_approver.encompassed_roles << video_game_tune_approver
video_game_question_approver.encompassed_roles << video_game_scene_approver
video_game_question_approver.save!

Role.seed(:name) do |s|
  s.name = 'video_game_question_moderator'
  s.description = 'Video game question moderators may fully moderate video game questions (i.e. trivia, tunes, or scenes)'
  s.sort_order = 10
end

video_game_question_moderator = Role.find_by_name('video_game_question_moderator')
video_game_question_moderator.encompassed_roles << video_game_trivia_moderator
video_game_question_moderator.encompassed_roles << video_game_tune_moderator
video_game_question_moderator.encompassed_roles << video_game_scene_moderator
video_game_question_moderator.encompassed_roles << video_game_question_approver
video_game_question_moderator.save!

Role.seed(:name) do |s|
  s.name = 'video_game_super_approver'
  s.description = 'Video game super approvers may only approve or mark desired changes on any video-game-related topic (except genres).'
  s.sort_order = 7
end

video_game_super_approver = Role.find_by_name('video_game_super_approver')
video_game_super_approver.encompassed_roles << video_game_approver
video_game_super_approver.encompassed_roles << video_game_system_approver
video_game_super_approver.encompassed_roles << video_game_continuum_approver
video_game_super_approver.encompassed_roles << video_game_question_approver
video_game_super_approver.save!

Role.seed(:name) do |s|
  s.name = 'video_game_super_moderator'
  s.description = 'Video game super moderators may fully moderate any video-game-related topic.'
  s.sort_order = 6
end

video_game_super_moderator = Role.find_by_name('video_game_super_moderator')
video_game_super_moderator.encompassed_roles << video_game_moderator
video_game_super_moderator.encompassed_roles << video_game_system_moderator
video_game_super_moderator.encompassed_roles << video_game_genre_moderator
video_game_super_moderator.encompassed_roles << video_game_continuum_moderator
video_game_super_moderator.encompassed_roles << video_game_question_moderator
video_game_super_moderator.encompassed_roles << video_game_super_approver
video_game_super_moderator.save!

Role.seed(:name) do |s|
  s.name = 'super_approver'
  s.description = 'Super approvers may only approve or mark desired changes on any topic (except genres).'
  s.sort_order = 3
end

super_approver = Role.find_by_name('super_approver')
super_approver.encompassed_roles << anime_super_approver
super_approver.encompassed_roles << video_game_super_approver
super_approver.save!

Role.seed(:name) do |s|
  s.name = 'super_moderator'
  s.description = 'Super moderators may fully moderate any topic.'
  s.sort_order = 2
end

super_moderator = Role.find_by_name('super_moderator')
super_moderator.encompassed_roles << anime_super_moderator
super_moderator.encompassed_roles << video_game_super_moderator
super_moderator.encompassed_roles << super_approver
super_moderator.save!

admin = Role.find_by_name('admin')
admin.encompassed_roles << super_moderator
admin.save!