AnimeGenre.seed(:name) do |s|
  s.name = 'Adventure'
  s.description = 'A (usually lengthy) anime that involves a group of travellers encountering various situations and locales, often episodic in nature.  Examples: <i>The Slayers</i>, <i>Naruto</i>, <i>Pok&eacute;mon</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Comedy'
  s.description = 'An anime that is often humorous (as opposed to dramatic).'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Drama'
  s.description = 'An anime that is often emotional and dramatic (as opposed to comedic).'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Fantasy'
  s.description = 'An anime in a fantastical setting, usually including kingdoms, magic, and swordsmen as main elements.  Examples: <i>The Slayers</i>, <i>The Legend of Lodoss War</i>, <i>Violinist of Hameln</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Horror'
  s.description = 'An anime with elements designed to shock the viewer.  Example: <i>La Petit Cossette</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Harem'
  s.description = 'An anime featuring a lead character who has several potential love interests, possibly in a love polygon.  Example: <i>Ranma 1/2</i>, <i>Kyou Kara Maou</i>, <i>Ouran High School Host Club</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Historical'
  s.description = 'An anime with a realistic historical setting, either in Japan, Europe, or elsewhere.  Examples: <i>Rurouni Kenshin</i>, <i>Victorian Romance Emma</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Mecha'
  s.description = 'An anime that prominently features giant robots or mecha as an important element.  Examples: <i>Gundam</i>, <i>Neon Genesis Evangelion</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Mystery'
  s.description = 'An anime with a mystery to be solved (&agrave; la <i>Scooby Doo</i> or <i>Sherlock Holmes</i>).'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Political/Military'
  s.description = 'An anime with an emphasis on political and military machinations.  Examples: <i>Gundam</i>, <i>Full Metal Panic</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Romance'
  s.description = 'An anime with a romance between the characters playing a primary role (especially when done in a non-comedic manner).  Examples: <i>His and Her Circumstances</i>, <i>Victorian Romance Emma</i>, <i>Lovely Complex</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'School Comedy'
  s.description = 'A comedic anime almost exclusively featuring a school (not university) setting.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'School Drama'
  s.description = 'A dramatic anime almost exclusively featuring a school (not university) setting.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Science Fiction'
  s.description = 'An anime strongly featuring elements of science fiction, such as space travel, time travel, and futuristic settings.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Shoujo'
  s.description = 'An anime targeted primarily at young women, often featuring themes of romance or drama.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Shoujo Ai'
  s.description = 'An anime featuring or strongly alluding to female-female love as a significant element.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Shounen'
  s.description = 'An anime targeted primarily at young men, often featuring adventurous or competitive themes.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Shounen Ai'
  s.description = 'An anime featuring or strongly alluding to male-male love as a significant element.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Supernatural'
  s.description = 'An anime featuring fantastical elements that are not readily explained as technological or magical in nature.  Examples: <i>La Petite Cossette</i>, <i>Mushishi</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Children'
  s.description = 'An anime targeted primarily at children (may overlap with Shounen or Shoujo).'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Action'
  s.description = 'An anime strongly featuring action or combat scenes.  Examples: <i>Read or Die OVA</i>, <i>The Slayers</i>, <i>Diebuster</i>.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Magical Girl'
  s.description = 'An anime featuring a girl who magically transforms into (usually) a superhero.'
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Cerebral'
  s.description = "A more \"literary\" anime with difficult to tease-out layers of meaning.  Examples: <i>Paranoia Agent</i>, <i>Kino's Journey</i>, <i>Haibane Renmei</i>."
end

AnimeGenre.seed(:name) do |s|
  s.name = 'Slice-of-life'
  s.description = 'An anime with little substantive plot, often comedic, and primarily focusing on the interactions of individuals in a realistic setting with or without supernatural or futuristic elements and despite potentially surreal humor.  Examples: <i>Time of Eve</i>, <i>Minami-ke</i>, <i>Azumanga Daioh</i>, <i>Kamichu!</i>.'
end

series = AnimeSeries.find_by_name("Kino's Journey -the Beautiful World-")
series.anime_genres << AnimeGenre.find_by_name('Adventure')
series.anime_genres << AnimeGenre.find_by_name('Cerebral')
series.save!

series = AnimeSeries.find_by_name("The Girl Who Leapt Through Time")
series.anime_genres << AnimeGenre.find_by_name('Romance')
series.anime_genres << AnimeGenre.find_by_name('Science Fiction')
series.save!

series = AnimeSeries.find_by_name("Read or Die")
series.anime_genres << AnimeGenre.find_by_name('Action')
series.save!

series = AnimeSeries.find_by_name("The Melancholy of Haruhi Suzumiya")
series.anime_genres << AnimeGenre.find_by_name('Science Fiction')
series.anime_genres << AnimeGenre.find_by_name('Supernatural')
series.save!

series = AnimeSeries.find_by_name("Azumanga Daioh")
series.anime_genres << AnimeGenre.find_by_name('Comedy')
series.anime_genres << AnimeGenre.find_by_name('School Comedy')
series.anime_genres << AnimeGenre.find_by_name('Slice-of-life')
series.save!