VideoGameGenre.seed(:id) do |s|
  s.id = 1
  s.name = 'Action/Platformer'
  s.description = 'Action/Platformer games usually include such games as Super Mario Bros. and Sonic the Hedgehog.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 2
  s.name = 'Adventure'
  s.description = 'Adventure games usually include an element of discovery and include such games as Myst and the Monkey Island series.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 3
  s.name = 'Board & Card Games'
  s.description = 'Board & Card Games include any simulations of games that exist in real life, such as Risk, Chess, Go, Solitare, Poker, etc.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 4
  s.name = 'Classic Arcade'
  s.description = 'Classic Arcade games include those games originally released for arcade that are not easily classifiable (e.g. Asteroids, Frogger, Pac-Man)'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 5
  s.name = 'Fighting'
  s.description = 'Fighting games are fairly straight-forward. Some examples include the Mortal Kombat series and the Street Fighter series.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 6
  s.name = 'Party'
  s.description = 'Party games are those games which are primarily oriented for parties, such as the Mario Party series.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 7
  s.name = 'Puzzle'
  s.description = 'Puzzle games include bothe traditional pen-and-paper puzzles like Sudoku and classic puzzle games like Tetris and Puyo Puyo.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 8
  s.name = 'Racing'
  s.description = 'Racing games primarily focus on racing, usually cars, but sometimes other vehicles, as in Diddy Kong Racing.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 9
  s.name = 'Rhythm/Singing'
  s.description = 'Rhythm and Singing games are particularly well-known for requiring some sort of rhythm to perform well, and often heavily feature songs.  Bemani games among the best known series of this genre.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 10
  s.name = 'Dancing'
  s.parent = VideoGameGenre.find(9)
  s.description = 'Dancing games are straight-forwardly explained and do not feature the creation (real or otherwise) of music as an element.  Examples include the Dance Dance Revolution series and Para Para Paradise.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 11
  s.name = 'Singing'
  s.parent = VideoGameGenre.find(9)
  s.description = 'Singing games are straight-forwardly explained and may be more like graded karaoke games.  Examples include Karaoke Revolution.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 12
  s.name = 'RPG'
  s.description = 'RPG games are a catch-all category for all games that heavily depend on the statistics of characters, especially for use in battle.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 13
  s.name = 'Action RPG'
  s.parent = VideoGameGenre.find(12)
  s.description = 'Action RPG games are a combination of action games with the statistical elements of RPGs.  Examples include Kingdom Hearts.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 14
  s.name = 'Strategic RPG'
  s.parent = VideoGameGenre.find(12)
  s.description = 'Strategic RPG games differ from tactical games in so far as they tend to feature a broader strategy of play than tactical RPGs.  Ogre Battle is an example of a Strategic RPG.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 15
  s.name = 'Tactical RPG'
  s.parent = VideoGameGenre.find(12)
  s.description = 'Tactical RPG games usually differ from Traditional RPGs in so far as positions of the characters may be easily changed, and play a significant role in the damage that may be made, enemies within range of attacks, and the amount of damage incurred.  Examples include the Disgaea and Final Fantasy Tactics series.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 16
  s.name = 'Traditional RPG'
  s.parent = VideoGameGenre.find(12)
  s.description = 'Traditional RPGs are turn-based, and feature no tactical movement of characters around a board in limited battles.  Most Square and Enix RPGs are of this type, such as the Final Fantasy and Dragon Quest series.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 17
  s.name = 'Scroller'
  s.description = 'Scroller games may scroll vertically or horizontally and may occasionally allow for movement backwards.  Their primary focus, however, is in beating up or destroying enemies that come from one or two sides of the screen.  Some scroller games are called shooters, but these are to be differentiated from the genre that includes First-Person Shooters.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 18
  s.name = 'Space Scroller'
  s.parent = VideoGameGenre.find(17)
  s.description = 'Space scrollers, like Gradius and Star Fox, involve space flight and constant firefights and scrolling.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 19
  s.name = 'Historical Scroller'
  s.parent = VideoGameGenre.find(17)
  s.description = 'Historical scrollers usually involve World War I or World War II scenarios where one is a fighter pilot scrolling and destroying enemy fighters.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 20
  s.name = "Beat 'em Up"
  s.parent = VideoGameGenre.find(17)
  s.description = "Unlike other fighting games, beat 'em ups usually involve neverending streams of enemies attacking the player from one or two sides of the screen.  Examples include River City Ransom."
end

VideoGameGenre.seed(:id) do |s|
  s.id = 21
  s.name = 'Bullet Hell/Danmaku'
  s.parent = VideoGameGenre.find(17)
  s.description = 'Bullet hell games usually focus more on the skillful dodging of bullets and other damaging objects usually due to pattern memorization, due to the extremely high number of bullets created by enemies.  The Touhou Project is a very popular series that features danmaku games prominently.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 22
  s.name = 'Shooter'
  s.description = 'Shooters usually involve controlling a single character shooting at enemies with a projectile weapon (usually a gun).  For space-based firefight-like games like Star Fox, see Scroller.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 23
  s.name = 'First Person Shooter'
  s.parent = VideoGameGenre.find(22)
  s.description = 'First Person shooters are well known shooters featuring a first-person interface.  Well-known examples include the Half-Life, Doom, and Quake series, among many others.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 24
  s.name = 'Light Gun Shooter'
  s.parent = VideoGameGenre.find(22)
  s.description = 'Light Gun Shooters are also first-person in nature, but differ from traditional First-Person Shooters in that they make use of a light gun instead of a keyboard or standard controller arrangement.  As a result, most light gun shooters do NOT feature control over character movement, and merely aim for a high hit ratio.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 25
  s.name = 'Simulation'
  s.description = 'Simulation games aim to accurately simulate some aspect of reality, be it a company, city, mecha, or fighter plane.  Goal-based god-like simulation games belong in Strategy, not Simulation.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 26
  s.name = 'Realistic Vehicle'
  s.parent = VideoGameGenre.find(25)
  s.description = 'Realistic vehicle simulations are those which feature real vehicles as a basis for design. Examples include many fighter jet simulations, and flight simulators, but NOT racing games.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 27
  s.name = 'Fictional Vehicle'
  s.parent = VideoGameGenre.find(25)
  s.description = 'Fictional vehicle simulations typically involve realistic simulation of some non-existent vehicle.  An example of this genre is Mechwarrior.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 28
  s.name = 'Sandbox Simulation'
  s.parent = VideoGameGenre.find(25)
  s.description = 'Sandbox simulations are generally open-ended and have no explicit goals.  Examples of this category include many of the games in the Maxis Sim-game series.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 29
  s.name = 'Sports'
  s.description = 'Sports games are fairly well-defined, being computerized versions of popular physical sports, with or without a basis in real-life league play.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 30
  s.name = 'Strategy'
  s.description = 'Strategy games more goal-oriented than Simulation games, while still remaining similarly open-ended.  Many of them are well-known as war games or world-building games.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 31
  s.name = 'Real-Time Strategy'
  s.parent = VideoGameGenre.find(30)
  s.description = 'Real-time Strategy games are well-known for being as they are: real-time, not turn-based.  Hence, split-second decisions may make or break the game.  Blizzard is well known for its real-time strategy games, thanks to the Starcraft and Warcraft series.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 32
  s.name = 'Turn-Based Strategy'
  s.parent = VideoGameGenre.find(30)
  s.description = 'Turn-based strategy games, in contrast to real-time strategy games, allow for the player to gradually develop a long-term strategy through the micromanagement allowed by turns.  Well-known examples include many hex-based war games.  Civilization-style games belong to World-Building, however.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 33
  s.name = 'World-Building'
  s.parent = VideoGameGenre.find(30)
  s.description = 'World-Building games may be real-time, but are often turn-based.  The Civilization series is a fine example of this genre.'
end

VideoGameGenre.seed(:id) do |s|
  s.id = 34
  s.name = 'Miscellaneous'
  s.description = 'This category includes any games that are rather unique and fit in with no category given given or known.  The Katamari Damacy series would fit under this category, as would the Pokemon Stadium/Colosseum series.'
end
