VideoGameContinuum.seed(:name) do |g|
  g.name = 'Dragon Quest/Dragon Warrior'
end

VideoGame.seed(:name) do |g|
  g.name = 'Dragon Quest'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1986
  g.video_game_continuum = VideoGameContinuum.find_by_name('Dragon Quest/Dragon Warrior')
end

game = VideoGame.find_by_name('Dragon Quest')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 13
  q.video_game = VideoGame.find_by_name('Dragon Quest')
  q.points = 2
  q.question = 'What is the name of the most powerful attack spell in the game?'
  q.answer = 'Hurtmore'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Mario Kart'
end

VideoGame.seed(:name) do |g|
  g.name = 'Super Mario Kart'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1992
  g.video_game_continuum = VideoGameContinuum.find_by_name('Mario Kart')
end

game = VideoGame.find_by_name('Super Mario Kart')
game.video_game_genres << VideoGameGenre.find_by_name('Racing')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 14
  q.video_game = VideoGame.find_by_name('Super Mario Kart')
  q.points = 1
  q.question = "If you hit one of Princess' mushrooms what happens?"
  q.answer = 'You get shrunk'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Paper Mario'
end

VideoGame.seed(:name) do |g|
  g.name = 'Super Mario RPG: Legend of the Seven Stars'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1996
  g.video_game_continuum = VideoGameContinuum.find_by_name('Paper Mario')
end

game = VideoGame.find_by_name('Super Mario RPG: Legend of the Seven Stars')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 15
  q.video_game = VideoGame.find_by_name('Super Mario RPG: Legend of the Seven Stars')
  q.points = 1
  q.question = 'What is the name of the super-team that you have to fight?'
  q.answer = 'The Axem Rangers'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Blaster Master'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
end

game = VideoGame.find_by_name('Blaster Master')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 16
  q.video_game = VideoGame.find_by_name('Blaster Master')
  q.points = 2
  q.question = "What happens to the main character's pet frog?"
  q.answer = 'He becomes a boss monster you must fight'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Final Fantasy'
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 17
  q.video_game = VideoGame.find_by_name('Final Fantasy')
  q.points = 3
  q.question = 'What object is needed to reveal the passage to the past, and who gave it to the Light Warriors?'
  q.answer = 'Lute, Princess Sara'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'F-Zero'
end

VideoGame.seed(:name) do |g|
  g.name = 'F-Zero'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1990
  g.video_game_continuum = VideoGameContinuum.find_by_name('F-Zero')
end

game = VideoGame.find_by_name('F-Zero')
game.video_game_genres << VideoGameGenre.find_by_name('Racing')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 18
  q.video_game = VideoGame.find_by_name('F-Zero')
  q.points = 1
  q.question = 'What is the first location you race at?'
  q.answer = 'Mute City'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Joust'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
end

game = VideoGame.find_by_name('Joust')
game.video_game_genres << VideoGameGenre.find_by_name('Classic Arcade')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 19
  q.video_game = VideoGame.find_by_name('Joust')
  q.points = 1
  q.question = 'What animal are the players mounted on?'
  q.answer = 'Ostriches'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Total Carnage'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1993
end

game = VideoGame.find_by_name('Total Carnage')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 20
  q.video_game = VideoGame.find_by_name('Total Carnage')
  q.points = 3
  q.question = 'After you defeat the final boss, what is the last task presented to you?'
  q.answer = 'Capture all of the clones of the boss to prevent him from escaping'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Mega Man'
end

VideoGame.seed(:name) do |g|
  g.name = 'Mega Man X'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1993
  g.video_game_continuum = VideoGameContinuum.find_by_name('Mega Man')
end

game = VideoGame.find_by_name('Mega Man X')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 21
  q.video_game = VideoGame.find_by_name('Mega Man X')
  q.points = 2
  q.question = 'Before facing off with the final boss, what do you have to fight?'
  q.answer = "The final boss' dog"
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Bionic Commando'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
end

game = VideoGame.find_by_name('Bionic Commando')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 22
  q.video_game = VideoGame.find_by_name('Bionic Commando')
  q.points = 3
  q.question = 'What is the name of the final weapon the Badds are trying to resurrect?'
  q.answer = 'The Albatross'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Tetris'
end

VideoGame.seed(:name) do |g|
  g.name = 'Tetris'
  g.video_game_system = VideoGameSystem.find_by_name('Game Boy')
  g.year = 1989
  g.video_game_continuum = VideoGameContinuum.find_by_name('Tetris')
end

game = VideoGame.find_by_name('Tetris')
game.video_game_genres << VideoGameGenre.find_by_name('Puzzle')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 23
  q.video_game = VideoGame.find_by_name('Tetris')
  q.points = 1
  q.question = "What's the highest possible obtainable level?"
  q.answer = '30.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Star Fox'
end

VideoGame.seed(:name) do |g|
  g.name = 'Star Fox'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1993
  g.video_game_continuum = VideoGameContinuum.find_by_name('Star Fox')
end

game = VideoGame.find_by_name('Star Fox')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.video_game_genres << VideoGameGenre.find_by_name('Space Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 24
  q.video_game = VideoGame.find_by_name('Star Fox')
  q.points = 1
  q.question = 'What is the name of the final boss?'
  q.answer = 'Andross'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Metroid'
end

VideoGame.seed(:name) do |g|
  g.name = 'Metroid'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
  g.video_game_continuum = VideoGameContinuum.find_by_name('Metroid')
end

game = VideoGame.find_by_name('Metroid')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 25
  q.video_game = VideoGame.find_by_name('Metroid')
  q.points = 1
  q.question = 'What is the name of the main character?'
  q.answer = 'Samus Aran'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 26
  q.video_game = VideoGame.find_by_name('Mega Man X')
  q.points = 3
  q.question = "What enhancement do you receive in the upgrade capsule in Armored Armadillos' stage?"
  q.answer = 'The Hadoken weapon (pronounced Haduken, or similar)'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 27
  q.video_game = VideoGame.find_by_name('F-Zero')
  q.points = 2
  q.question = "What is the last track you have to race on in the King's League?"
  q.answer = 'Fire Field'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'The Legend of Zelda'
end

VideoGame.seed(:name) do |g|
  g.name = 'The Legend of Zelda: A Link to the Past'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1991
  g.video_game_continuum = VideoGameContinuum.find_by_name('The Legend of Zelda')
end

game = VideoGame.find_by_name('The Legend of Zelda: A Link to the Past')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 28
  q.video_game = VideoGame.find_by_name('The Legend of Zelda: A Link to the Past')
  q.points = 3
  q.question = 'In what village can you find the blacksmiths to upgrade the Master Sword?'
  q.answer = 'Kakariko village'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Shadowgate'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1989
end

game = VideoGame.find_by_name('Shadowgate')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 29
  q.video_game = VideoGame.find_by_name('Shadowgate')
  q.points = 3
  q.question = 'How did you get rid of the mute black specter blocking the door?'
  q.answer = 'Combine the magic torch with the regular torch'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Chrono Trigger/Chrono Cross'
end

VideoGame.seed(:name) do |g|
  g.name = 'Chrono Trigger'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1995
  g.video_game_continuum = VideoGameContinuum.find_by_name('Chrono Trigger/Chrono Cross')
end

game = VideoGame.find_by_name('Chrono Trigger')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 30
  q.video_game = VideoGame.find_by_name('Chrono Trigger')
  q.points = 3
  q.question = 'Which characters are needed to perform the Delta Force tripletech?'
  q.answer = 'Chrono, Marle, and Lucca'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Solar Jetman: Hunt for the Golden Warpship'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1990
end

game = VideoGame.find_by_name('Solar Jetman: Hunt for the Golden Warpship')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 31
  q.video_game = VideoGame.find_by_name('Solar Jetman: Hunt for the Golden Warpship')
  q.points = 3
  q.question = 'What is the name of the first planet in the game?'
  q.answer = 'Preludon'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Terranigma'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1995
end

game = VideoGame.find_by_name('Terranigma')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 32
  q.video_game = VideoGame.find_by_name('Terranigma')
  q.points = 2
  q.question = 'What is the name of the final boss?'
  q.answer = 'Dark Gaia'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 33
  q.video_game = VideoGame.find_by_name('Final Fantasy')
  q.points = 2
  q.question = 'What object is needed to create the airship from the boat?'
  q.answer = 'Floater'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 34
  q.video_game = VideoGame.find_by_name('Chrono Trigger')
  q.points = 2
  q.question = 'What is the name of your time-traveling ship?'
  q.answer = 'Epoch'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Rygar'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
end

game = VideoGame.find_by_name('Rygar')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 35
  q.video_game = VideoGame.find_by_name('Rygar')
  q.points = 1
  q.question = "Describe the main character's weapon."
  q.answer = 'A shield that was kind of like a boomerang'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Mega Man X2'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1994
  g.video_game_continuum = VideoGameContinuum.find_by_name('Mega Man')
end

game = VideoGame.find_by_name('Mega Man X2')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 36
  q.video_game = VideoGame.find_by_name('Mega Man X2')
  q.points = 2
  q.question = 'What does the powered up Crystal Hunter do?'
  q.answer = 'It slows down time'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Cybernator'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1992
end

game = VideoGame.find_by_name('Cybernator')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 37
  q.video_game = VideoGame.find_by_name('Cybernator')
  q.points = 2
  q.question = 'What is the name of the spacecraft that you launch from?'
  q.answer = 'Versis'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Faria: A World of Mystery & Danger!'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1989
end

game = VideoGame.find_by_name('Faria: A World of Mystery & Danger!')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 38
  q.video_game = VideoGame.find_by_name('Faria: A World of Mystery & Danger!')
  q.points = 3
  q.question = 'What important revelation about the main character is needed to enter a certain city?'
  q.answer = 'Main character is actually male; appeared female due to curse'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'The Legend of Zelda'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
  g.video_game_continuum = VideoGameContinuum.find_by_name('The Legend of Zelda')
end

game = VideoGame.find_by_name('The Legend of Zelda')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 39
  q.video_game = VideoGame.find_by_name('The Legend of Zelda')
  q.points = 1
  q.question = "What is the main villain's full name?"
  q.answer = 'Ganondorf'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Shining Force'
end

VideoGame.seed(:name) do |g|
  g.name = 'Shining Force II'
  g.video_game_system = VideoGameSystem.find_by_name('Genesis')
  g.year = 1993
  g.video_game_continuum = VideoGameContinuum.find_by_name('Shining Force')
end

game = VideoGame.find_by_name('Shining Force II')
game.video_game_genres << VideoGameGenre.find_by_name('Turn-Based Strategy')
game.video_game_genres << VideoGameGenre.find_by_name('Strategy')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 40
  q.video_game = VideoGame.find_by_name('Shining Force II')
  q.points = 1
  q.question = 'What is the name of the kingdom you start in?'
  q.answer = 'Granseal'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Crystalis'
end

VideoGame.seed(:name) do |g|
  g.name = 'Crystalis'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1990
  g.video_game_continuum = VideoGameContinuum.find_by_name('Crystalis')
end

game = VideoGame.find_by_name('Crystalis')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 41
  q.video_game = VideoGame.find_by_name('Crystalis')
  q.points = 3
  q.question = 'What is the title of the leader of the resistance organization?'
  q.answer = 'Grand Puba'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 42
  q.video_game = VideoGame.find_by_name('Super Mario RPG: Legend of the Seven Stars')
  q.points = 2
  q.question = 'What do you find behind the sealed door in Monstro Town?'
  q.answer = 'The side-boss Culex'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Spy Hunter'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
end

game = VideoGame.find_by_name('Spy Hunter')
game.video_game_genres << VideoGameGenre.find_by_name('Racing')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 43
  q.video_game = VideoGame.find_by_name('Spy Hunter')
  q.points = 1
  q.question = 'What vehicle does the player get after the car?'
  q.answer = 'Speedboat'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Shining Force'
  g.video_game_system = VideoGameSystem.find_by_name('Genesis')
  g.year = 1992
  g.video_game_continuum = VideoGameContinuum.find_by_name('Shining Force')
end

game = VideoGame.find_by_name('Shining Force')
game.video_game_genres << VideoGameGenre.find_by_name('Turn-Based Strategy')
game.video_game_genres << VideoGameGenre.find_by_name('Strategy')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 44
  q.video_game = VideoGame.find_by_name('Shining Force')
  q.points = 2
  q.question = 'What is the name of the dragon that joins your party?'
  q.answer = 'Bleu'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Ninja Gaiden'
end

VideoGame.seed(:name) do |g|
  g.name = 'Ninja Gaiden'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
  g.video_game_continuum = VideoGameContinuum.find_by_name('Ninja Gaiden')
end

game = VideoGame.find_by_name('Ninja Gaiden')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 45
  q.video_game = VideoGame.find_by_name('Ninja Gaiden')
  q.points = 2
  q.question = "What is the main character's full name?"
  q.answer = 'Ryu Hayabusa'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Gun.Smoke'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
end

game = VideoGame.find_by_name('Gun.Smoke')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 46
  q.video_game = VideoGame.find_by_name('Gun.Smoke')
  q.points = 1
  q.question = "Who was the game's first boss?"
  q.answer = 'Bandit Bill'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Warsong'
  g.video_game_system = VideoGameSystem.find_by_name('Genesis')
  g.year = 1991
end

game = VideoGame.find_by_name('Warsong')
game.video_game_genres << VideoGameGenre.find_by_name('Strategy')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 47
  q.video_game = VideoGame.find_by_name('Warsong')
  q.points = 3
  q.question = "Name King Alfador's NPC generals in the first battle."
  q.answer = 'Calais, Sabra, Tiberon'
  q.bonus_question = 'Who does he send to join the main character?'
  q.bonus_answer = 'Baldarov'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy VI'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1994
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy VI')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 48
  q.video_game = VideoGame.find_by_name('Final Fantasy VI')
  q.points = 2
  q.question = 'Which esper teaches the spell Drain?'
  q.answer = 'Ifrit'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 49
  q.video_game = VideoGame.find_by_name('Mega Man X')
  q.points = 2
  q.question = 'What is the name of the boss that gives you the Rolling Shield weapon?'
  q.answer = 'Armored Armadillo'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 50
  q.video_game = VideoGame.find_by_name('Ninja Gaiden')
  q.points = 3
  q.question = 'What is the name of the American archaeologist you must meet?'
  q.answer = 'Walter Smith'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'DuckTales'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1990
end

game = VideoGame.find_by_name('DuckTales')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 51
  q.video_game = VideoGame.find_by_name('DuckTales')
  q.points = 1
  q.question = 'What item was used by Scrooge McDuck as a weapon?'
  q.answer = 'Pogo Stick'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'California Games'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
end

game = VideoGame.find_by_name('California Games')
game.video_game_genres << VideoGameGenre.find_by_name('Sports')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 52
  q.video_game = VideoGame.find_by_name('California Games')
  q.points = 2
  q.question = 'What name was given to the game we today call "Hacky Sack" in this game?'
  q.answer = 'Foot Bag'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'The Magic of Scheherazade'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
end

game = VideoGame.find_by_name('The Magic of Scheherazade')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 53
  q.video_game = VideoGame.find_by_name('The Magic of Scheherazade')
  q.points = 3
  q.question = 'Which language is Gun Meca researching when he joins you?'
  q.answer = 'Peke Peke'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Elevator Action'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1985
end

game = VideoGame.find_by_name('Elevator Action')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 54
  q.video_game = VideoGame.find_by_name('Elevator Action')
  q.points = 1
  q.question = 'What were the two ways of killing enemies?'
  q.answer = 'Shooting and crushing with and elevator'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 55
  q.video_game = VideoGame.find_by_name('Mega Man X')
  q.points = 3
  q.question = 'Which boss does Zero sacrifice himself to damage so that you have a chance of winning?'
  q.answer = 'Vile'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 56
  q.video_game = VideoGame.find_by_name('Final Fantasy')
  q.points = 2
  q.question = 'What object is needed to use the submarine?'
  q.answer = 'Oxyale'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Demon Sword'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
end

game = VideoGame.find_by_name('Demon Sword')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 57
  q.video_game = VideoGame.find_by_name('Demon Sword')
  q.points = 2
  q.question = 'What item was only useful in the first level of the game?'
  q.answer = 'Phoenix'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Kabuki Quantum Fighter'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1990
end

game = VideoGame.find_by_name('Kabuki Quantum Fighter')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 58
  q.video_game = VideoGame.find_by_name('Kabuki Quantum Fighter')
  q.points = 1
  q.question = "What is the main character's primary weapon?"
  q.answer = 'Hair'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 59
  q.video_game = VideoGame.find_by_name('DuckTales')
  q.points = 2
  q.question = 'What was the unique expensive item found only on the Moon?'
  q.answer = 'Green Moon Cheese'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Gunstar Heroes'
  g.video_game_system = VideoGameSystem.find_by_name('Genesis')
  g.year = 1993
end

game = VideoGame.find_by_name('Gunstar Heroes')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 60
  q.video_game = VideoGame.find_by_name('Gunstar Heroes')
  q.points = 3
  q.question = 'What is the name of the villain who redeems himself at the end of the game?'
  q.answer = 'Green'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 61
  q.video_game = VideoGame.find_by_name('Super Mario Kart')
  q.points = 1
  q.question = 'Which Cup contains the Rainbow Road?'
  q.answer = 'Special Cup'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 62
  q.video_game = VideoGame.find_by_name('Star Fox')
  q.points = 2
  q.question = 'What is the advantage to flying through all of the arches on the ground during the first stage on Corneria?'
  q.answer = 'You receive a twin blaster upgrade'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 63
  q.video_game = VideoGame.find_by_name('Mega Man X2')
  q.points = 1
  q.question = "What are the names of the three X-hunters you have to fight to retrieve Zero's parts?"
  q.answer = 'Violen, Serges, and Agile'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 64
  q.video_game = VideoGame.find_by_name('Terranigma')
  q.points = 3
  q.question = "How many time bombs do you have to set on Beruga's ship to prevent him from escaping?"
  q.answer = 'Seven'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy Mystic Quest'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1992
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy Mystic Quest')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 65
  q.video_game = VideoGame.find_by_name('Final Fantasy Mystic Quest')
  q.points = 2
  q.question = 'Who offers to sell you the Elixir for an exorbitant sum of money?'
  q.answer = 'Tristan'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Mother/Earthbound'
end

VideoGame.seed(:name) do |g|
  g.name = 'Earthbound'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1994
  g.video_game_continuum = VideoGameContinuum.find_by_name('Mother/Earthbound')
end

game = VideoGame.find_by_name('Earthbound')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 66
  q.video_game = VideoGame.find_by_name('Earthbound')
  q.points = 1
  q.question = 'What present do Spiteful Crows drop?'
  q.answer = 'Cookie'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Donkey Kong'
end

VideoGame.seed(:name) do |g|
  g.name = 'Donkey Kong'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1983
  g.video_game_continuum = VideoGameContinuum.find_by_name('Donkey Kong')
end

game = VideoGame.find_by_name('Donkey Kong')
game.video_game_genres << VideoGameGenre.find_by_name('Classic Arcade')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 67
  q.video_game = VideoGame.find_by_name('Donkey Kong')
  q.points = 3
  q.question = 'What was the name of your character?'
  q.answer = 'Jumpman'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 68
  q.video_game = VideoGame.find_by_name('Cybernator')
  q.points = 1
  q.question = 'What two weapons do you start the game with?'
  q.answer = 'The punch and the vulcan'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Ranger X'
  g.video_game_system = VideoGameSystem.find_by_name('Genesis')
  g.year = 1993
end

game = VideoGame.find_by_name('Ranger X')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 69
  q.video_game = VideoGame.find_by_name('Ranger X')
  q.points = 3
  q.question = 'What is the name given to the combination between Ranger X and his motorcycle/plane?'
  q.answer = 'Ex-Up'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 70
  q.video_game = VideoGame.find_by_name('Earthbound')
  q.points = 2
  q.question = 'What is the Sword of Kings?'
  q.answer = 'A weapon for Poo. (The only one)'
  q.bonus_question = 'What enemy drops it?'
  q.bonus_answer = 'Starman Super'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 71
  q.video_game = VideoGame.find_by_name('Super Mario RPG: Legend of the Seven Stars')
  q.points = 2
  q.question = "What is Princess' most powerful weapon?"
  q.answer = 'A frying pan'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Bubble Bobble'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
end

game = VideoGame.find_by_name('Bubble Bobble')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 72
  q.video_game = VideoGame.find_by_name('Bubble Bobble')
  q.points = 1
  q.question = "Name the game's two protagonists"
  q.answer = 'Bub and Bob'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'To the Earth'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1989
end

game = VideoGame.find_by_name('To the Earth')
game.video_game_genres << VideoGameGenre.find_by_name('Light Gun Shooter')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 73
  q.video_game = VideoGame.find_by_name('To the Earth')
  q.points = 2
  q.question = 'What is the name of your original base, which falls under attack?'
  q.answer = 'Ganymede Base'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 74
  q.video_game = VideoGame.find_by_name('Dragon Quest')
  q.points = 2
  q.question = 'From which great hero are you descended?'
  q.answer = 'Erdrick'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'River City Ransom'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1989
end

game = VideoGame.find_by_name('River City Ransom')
game.video_game_genres << VideoGameGenre.find_by_name("Beat 'em Up")
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 75
  q.video_game = VideoGame.find_by_name('River City Ransom')
  q.points = 1
  q.question = 'What is the high school the first stage is on?'
  q.answer = 'CrossTown H.S.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 76
  q.video_game = VideoGame.find_by_name('Final Fantasy VI')
  q.points = 2
  q.question = 'What is the name of the organization fighting the Empire?'
  q.answer = 'The Returners'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 77
  q.video_game = VideoGame.find_by_name('Bionic Commando')
  q.points = 2
  q.question = 'Name the agent who was sent in and captured, and whom you rescue at the end of the game'
  q.answer = 'Super Joe'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Super Metroid'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1994
  g.video_game_continuum = VideoGameContinuum.find_by_name('Metroid')
end

game = VideoGame.find_by_name('Super Metroid')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 78
  q.video_game = VideoGame.find_by_name('Super Metroid')
  q.points = 2
  q.question = 'What is the final weapon you acquire in the game?'
  q.answer = 'The Hyp. Beam (or Hyper Beam)'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 79
  q.video_game = VideoGame.find_by_name('Chrono Trigger')
  q.points = 3
  q.question = "What is the name of Magus' sister?"
  q.answer = 'Schala'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 80
  q.video_game = VideoGame.find_by_name('The Magic of Scheherazade')
  q.points = 2
  q.question = "Name the first world's Great Magic"
  q.answer = 'Monecom'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 81
  q.video_game = VideoGame.find_by_name('Crystalis')
  q.points = 2
  q.question = 'What is the name of the item needed to change the Emperor into his true form?'
  q.answer = 'Bow of Truth'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 82
  q.video_game = VideoGame.find_by_name('The Magic of Scheherazade')
  q.points = 2
  q.question = 'Why was Supica imprisoned?'
  q.answer = 'For stealing bread'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'MULE'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1990
end

game = VideoGame.find_by_name('MULE')
game.video_game_genres << VideoGameGenre.find_by_name('Strategy')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 83
  q.video_game = VideoGame.find_by_name('MULE')
  q.points = 2
  q.question = 'What is the name of the starting planet?'
  q.answer = 'Irata'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 84
  q.video_game = VideoGame.find_by_name('Dragon Quest')
  q.points = 2
  q.question = 'Which item is required to reach the castle of the Dragonlord?'
  q.answer = 'Rainbow Drop'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 85
  q.video_game = VideoGame.find_by_name('Chrono Trigger')
  q.points = 3
  q.question = 'What does the Hero Medal do?'
  q.answer = "It doubles the critical hit rate of Frog's Masamune"
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 86
  q.video_game = VideoGame.find_by_name('Crystalis')
  q.points = 1
  q.question = 'What is the name of the starting town?'
  q.answer = 'Leaf'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = "Mike Tyson's Punch-Out!!"
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
end

game = VideoGame.find_by_name("Mike Tyson's Punch-Out!!")
game.video_game_genres << VideoGameGenre.find_by_name('Sports')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 87
  q.video_game = VideoGame.find_by_name("Mike Tyson's Punch-Out!!")
  q.points = 1
  q.question = 'Who is the first opponent you face?'
  q.answer = 'Glass Joe'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 88
  q.video_game = VideoGame.find_by_name('Mega Man X')
  q.points = 2
  q.question = 'What special effect does the fully-charged form of the Chameleon Sting weapon grant?'
  q.answer = 'Temporary Invincibility'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Smash T.V.'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1991
end

game = VideoGame.find_by_name('Smash T.V.')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 89
  q.video_game = VideoGame.find_by_name('Smash T.V.')
  q.points = 2
  q.question = 'Name the boss of the first area'
  q.answer = 'The Mutoid Man'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 90
  q.video_game = VideoGame.find_by_name('Terranigma')
  q.points = 1
  q.question = 'Which weapon will slowly heal you while equipped?'
  q.answer = 'The Crystal Spear, or Cry Spear'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 91
  q.video_game = VideoGame.find_by_name('Super Mario RPG: Legend of the Seven Stars')
  q.points = 2
  q.question = 'What do you get if you complete the quest given to you by the ghosts in Monstro Town?'
  q.answer = 'The Ghost Medal'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Defenders of the Dynatron City'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1992
end

game = VideoGame.find_by_name('Defenders of the Dynatron City')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 92
  q.video_game = VideoGame.find_by_name('Defenders of the Dynatron City')
  q.points = 1
  q.question = 'Name the only canine hero you could play as'
  q.answer = 'Radium Dog'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 93
  q.video_game = VideoGame.find_by_name('Super Mario Kart')
  q.points = 2
  q.question = 'What does the Ghost item do?'
  q.answer = "It steals your opponents' item and turns you invisible"
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Air Fortress'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1987
end

game = VideoGame.find_by_name('Air Fortress')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 94
  q.video_game = VideoGame.find_by_name('Air Fortress')
  q.points = 3
  q.question = 'What is the name of the ship given to Hal Bailman?'
  q.answer = 'Lightbrasner'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Mega Man X3'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1995
  g.video_game_continuum = VideoGameContinuum.find_by_name('Mega Man')
end

game = VideoGame.find_by_name('Mega Man X3')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 95
  q.video_game = VideoGame.find_by_name('Mega Man X3')
  q.points = 1
  q.question = 'What is the name of the Reploid who develops the technique to neutralize Maverick behavior?'
  q.answer = 'Dr. Doppler'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 96
  q.video_game = VideoGame.find_by_name('Super Metroid')
  q.points = 1
  q.question = 'What do you receive immediately following the defeat of Draygon?'
  q.answer = 'The Space Jump'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 97
  q.video_game = VideoGame.find_by_name('The Legend of Zelda: A Link to the Past')
  q.points = 3
  q.question = 'What item will protect you from turning into a monster in the Dark World?'
  q.answer = 'The Moon Pearl'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'StarTropics'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1990
end

game = VideoGame.find_by_name('StarTropics')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 98
  q.video_game = VideoGame.find_by_name('StarTropics')
  q.points = 1
  q.question = 'What is the weapon with which the main character fights?'
  q.answer = 'Yo-yo'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 99
  q.video_game = VideoGame.find_by_name('Star Fox')
  q.points = 3
  q.question = 'What is the name of the boss found on Fortuna on hard difficulty?'
  q.answer = 'Monarch Dodora'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Star Wars'
end

VideoGame.seed(:name) do |g|
  g.name = 'Star Wars: Knights of the Old Republic'
  g.video_game_system = VideoGameSystem.find_by_name('Xbox')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('Star Wars')
end

game = VideoGame.find_by_name('Star Wars: Knights of the Old Republic')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 100
  q.video_game = VideoGame.find_by_name('Star Wars: Knights of the Old Republic')
  q.points = 1
  q.question = 'What is the name of your ship?'
  q.answer = 'Ebon Hawk'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'The Legend of Zelda: Ocarina of Time'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 1998
  g.video_game_continuum = VideoGameContinuum.find_by_name('The Legend of Zelda')
end

game = VideoGame.find_by_name('The Legend of Zelda: Ocarina of Time')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 101
  q.video_game = VideoGame.find_by_name('The Legend of Zelda: Ocarina of Time')
  q.points = 2
  q.question = 'What is the name of the son of the chief of the Gorons?'
  q.answer = "The character's name"
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Star Fox 64'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 1997
  g.video_game_continuum = VideoGameContinuum.find_by_name('Star Fox')
end

game = VideoGame.find_by_name('Star Fox 64')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.video_game_genres << VideoGameGenre.find_by_name('Space Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 102
  q.video_game = VideoGame.find_by_name('Star Fox 64')
  q.points = 1
  q.question = 'Which member of the Star Wolf team betrayed your father?'
  q.answer = 'Pigma Dengar'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Jade Empire'
  g.video_game_system = VideoGameSystem.find_by_name('Xbox')
  g.year = 2005
end

game = VideoGame.find_by_name('Jade Empire')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 103
  q.video_game = VideoGame.find_by_name('Jade Empire')
  q.points = 1
  q.question = 'What is the name of the town that you are trained in?'
  q.answer = 'Two Rivers'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy X'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2001
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy X')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 104
  q.video_game = VideoGame.find_by_name('Final Fantasy X')
  q.points = 1
  q.question = 'What physical trait marks Yuna as half-Al-Bhed?'
  q.answer = 'Her different-colored eyes'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Star Ocean'
end

VideoGame.seed(:name) do |g|
  g.name = 'Star Ocean: The Second Story'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1998
  g.video_game_continuum = VideoGameContinuum.find_by_name('Star Ocean')
end

game = VideoGame.find_by_name('Star Ocean: The Second Story')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 105
  q.video_game = VideoGame.find_by_name('Star Ocean: The Second Story')
  q.points = 2
  q.question = 'Name the weapon used to stop the advance of the monsters onto the starting continent.'
  q.answer = 'The Lacour Hope'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Grandia'
end

VideoGame.seed(:name) do |g|
  g.name = 'Grandia II'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2002
  g.video_game_continuum = VideoGameContinuum.find_by_name('Grandia')
end

game = VideoGame.find_by_name('Grandia II')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 106
  q.video_game = VideoGame.find_by_name('Grandia II')
  q.points = 2
  q.question = 'Why is the ship you sail on called the 50-50?'
  q.answer = "You have to get across the Granacliffs, and it's a 50-50 chance if you get across"
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = "The Legend of Zelda: Majora's Mask"
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 2000
  g.video_game_continuum = VideoGameContinuum.find_by_name('The Legend of Zelda')
end

game = VideoGame.find_by_name("The Legend of Zelda: Majora's Mask")
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 107
  q.video_game = VideoGame.find_by_name("The Legend of Zelda: Majora's Mask")
  q.points = 3
  q.question = 'What song from an earlier Zelda title was brought back for this game?'
  q.answer = "Ballad of the Wind Fish (Link's Awakening)"
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy VII'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1997
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy VII')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 108
  q.video_game = VideoGame.find_by_name('Final Fantasy VII')
  q.points = 2
  q.question = 'What type of transport plane do you find crashed underwater?'
  q.answer = 'Gelnika'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Grandia'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1999
  g.video_game_continuum = VideoGameContinuum.find_by_name('Grandia')
end

game = VideoGame.find_by_name('Grandia')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 109
  q.video_game = VideoGame.find_by_name('Grandia')
  q.points = 2
  q.question = 'What is the name of the attack given to Justin by Gadwin?'
  q.answer = 'Heaven and Earth Cut'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Super Smash Brothers'
end

VideoGame.seed(:name) do |g|
  g.name = 'Super Smash Brothers'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 1999
  g.video_game_continuum = VideoGameContinuum.find_by_name('Super Smash Brothers')
end

game = VideoGame.find_by_name('Super Smash Brothers')
game.video_game_genres << VideoGameGenre.find_by_name('Fighting')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 110
  q.video_game = VideoGame.find_by_name('Super Smash Brothers')
  q.points = 2
  q.question = 'Name the four unlockable characters.'
  q.answer = 'Jigglypuff, Captain Falcon, Ness, Luigi'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Super Mario Brothers'
end

VideoGame.seed(:name) do |g|
  g.name = 'Super Mario 64'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 1996
  g.video_game_continuum = VideoGameContinuum.find_by_name('Super Mario Brothers')
end

game = VideoGame.find_by_name('Super Mario 64')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 111
  q.video_game = VideoGame.find_by_name('Super Mario 64')
  q.points = 2
  q.question = 'What was the name of your personal cameraman?'
  q.answer = 'Lakitu'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Deus Ex'
end

VideoGame.seed(:name) do |g|
  g.name = 'Deus Ex: The Conspiracy'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2002
  g.video_game_continuum = VideoGameContinuum.find_by_name('Deus Ex')
end

game = VideoGame.find_by_name('Deus Ex: The Conspiracy')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 112
  q.video_game = VideoGame.find_by_name('Deus Ex: The Conspiracy')
  q.points = 2
  q.question = 'What is the name of the A.I. that J.C. Denton has the option to merge with?'
  q.answer = 'Helios'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Diddy Kong Racing'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 1997
  g.video_game_continuum = VideoGameContinuum.find_by_name('Donkey Kong')
end

game = VideoGame.find_by_name('Diddy Kong Racing')
game.video_game_genres << VideoGameGenre.find_by_name('Racing')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 113
  q.video_game = VideoGame.find_by_name('Diddy Kong Racing')
  q.points = 1
  q.question = 'When racing, what do the red balloons do?'
  q.answer = 'Gives a character missiles'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Drakengard'
end

VideoGame.seed(:name) do |g|
  g.name = 'Drakengard'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('Drakengard')
end

game = VideoGame.find_by_name('Drakengard')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 114
  q.video_game = VideoGame.find_by_name('Drakengard')
  q.points = 3
  q.question = 'Name all three of the unlockable sidekick characters (1 pt each)'
  q.answer = 'Leonard, Arioch, Seere'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Quest 64'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 1998
end

game = VideoGame.find_by_name('Quest 64')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 115
  q.video_game = VideoGame.find_by_name('Quest 64')
  q.points = 2
  q.question = 'Who are you questing for, and what are they questing for? (1 per each)'
  q.answer = 'Your father, who is in search of the Great Book'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Crimson Skies'
end

VideoGame.seed(:name) do |g|
  g.name = 'Crimson Skies: High Road to Revenge'
  g.video_game_system = VideoGameSystem.find_by_name('Xbox')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('Crimson Skies')
end

game = VideoGame.find_by_name('Crimson Skies: High Road to Revenge')
game.video_game_genres << VideoGameGenre.find_by_name('Realistic Vehicle')
game.video_game_genres << VideoGameGenre.find_by_name('Simulation')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 116
  q.video_game = VideoGame.find_by_name('Crimson Skies: High Road to Revenge')
  q.points = 2
  q.question = 'What is the class of zeppelin used by the Red Skulls?'
  q.answer = 'Machiavelli'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Castlevania'
end

VideoGame.seed(:name) do |g|
  g.name = 'Castlevania: Symphony of the Night'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1997
  g.video_game_continuum = VideoGameContinuum.find_by_name('Castlevania')
end

game = VideoGame.find_by_name('Castlevania: Symphony of the Night')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 117
  q.video_game = VideoGame.find_by_name('Castlevania: Symphony of the Night')
  q.points = 3
  q.question = "How was Alucard's mother killed?"
  q.answer = 'Crucified by villagers'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Halo'
end

VideoGame.seed(:name) do |g|
  g.name = 'Halo: Combat Evolved'
  g.video_game_system = VideoGameSystem.find_by_name('Xbox')
  g.year = 2001
  g.video_game_continuum = VideoGameContinuum.find_by_name('Halo')
end

game = VideoGame.find_by_name('Halo: Combat Evolved')
game.video_game_genres << VideoGameGenre.find_by_name('First Person Shooter')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 118
  q.video_game = VideoGame.find_by_name('Halo: Combat Evolved')
  q.points = 2
  q.question = 'How does the Monitor believe the Flood can be stopped?'
  q.answer = 'Destroy all life in the galaxy'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 119
  q.video_game = VideoGame.find_by_name('Deus Ex: The Conspiracy')
  q.points = 3
  q.question = "What is Gunther Hermann's kill phrase"
  q.answer = 'Laputin machine'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy IX'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 2000
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy IX')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 120
  q.video_game = VideoGame.find_by_name('Final Fantasy IX')
  q.points = 1
  q.question = "What is Zidane's nickname for Steiner?"
  q.answer = 'Sir Rustalot or Rusty'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 121
  q.video_game = VideoGame.find_by_name('Star Wars: Knights of the Old Republic')
  q.points = 1
  q.question = 'What was the name of the assassin droid that was on your team?'
  q.answer = 'HK-10'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 122
  q.video_game = VideoGame.find_by_name('Grandia II')
  q.points = 2
  q.question = "What is Ryudo's job title?"
  q.answer = 'Geo-Hound'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 123
  q.video_game = VideoGame.find_by_name('Star Ocean: The Second Story')
  q.points = 2
  q.question = 'What does SDUGA stand for?'
  q.answer = 'Super Duper Ultra Great Atomic'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'SoulCalibur'
end

VideoGame.seed(:name) do |g|
  g.name = 'SoulCalibur'
  g.video_game_system = VideoGameSystem.find_by_name('Dreamcast')
  g.year = 1999
  g.video_game_continuum = VideoGameContinuum.find_by_name('SoulCalibur')
end

game = VideoGame.find_by_name('SoulCalibur')
game.video_game_genres << VideoGameGenre.find_by_name('Fighting')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 124
  q.video_game = VideoGame.find_by_name('SoulCalibur')
  q.points = 3
  q.question = "Who killed Siegfried's father?"
  q.answer = 'Siegfried'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Einhander'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1997
end

game = VideoGame.find_by_name('Einhander')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 125
  q.video_game = VideoGame.find_by_name('Einhander')
  q.points = 3
  q.question = 'Complete the following quote: "Glory to the Moon"'
  q.answer = '"Mercy on the Earth"'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Kingdom Hearts'
end

VideoGame.seed(:name) do |g|
  g.name = 'Kingdom Hearts'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2002
  g.video_game_continuum = VideoGameContinuum.find_by_name('Kingdom Hearts')
end

game = VideoGame.find_by_name('Kingdom Hearts')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 126
  q.video_game = VideoGame.find_by_name('Kingdom Hearts')
  q.points = 1
  q.question = 'What type of creature and how many of them do you have to find in order to access the battle with Sephiroth?'
  q.answer = '99 Dalmation puppies'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 127
  q.video_game = VideoGame.find_by_name('Final Fantasy IX')
  q.points = 3
  q.question = 'Who wrote the play "I want to be your Canary"?'
  q.answer = 'Lord Avon'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 128
  q.video_game = VideoGame.find_by_name('Crimson Skies: High Road to Revenge')
  q.points = 2
  q.question = 'What plane can you acquire in the underground cavern? (single-player game)'
  q.answer = 'The Doppleganger'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 129
  q.video_game = VideoGame.find_by_name('The Legend of Zelda: Ocarina of Time')
  q.points = 3
  q.question = 'Name the 3 non-Zelda females interested in Link'
  q.answer = 'Ryudo, Serina, Malon (Naboru maybe)'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'The Legend of Dragoon'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1999
end

game = VideoGame.find_by_name('The Legend of Dragoon')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 130
  q.video_game = VideoGame.find_by_name('The Legend of Dragoon')
  q.points = 2
  q.question = 'Who replaces Lavitz after he dies?'
  q.answer = 'King Albert'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 131
  q.video_game = VideoGame.find_by_name('Final Fantasy X')
  q.points = 3
  q.question = "Who sacrificed himself/herself to create Seymour's Aeon, Anima?"
  q.answer = "Seymour's mother"
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 132
  q.video_game = VideoGame.find_by_name('Super Mario 64')
  q.points = 2
  q.question = 'How many stars per level can you obtain?'
  q.answer = '7'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 133
  q.video_game = VideoGame.find_by_name('Castlevania: Symphony of the Night')
  q.points = 3
  q.question = 'What is the effect of wearing the entire set of Alucart set of equipment?'
  q.answer = 'Luck+20'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy VIII'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1999
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy VIII')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 134
  q.video_game = VideoGame.find_by_name('Final Fantasy VIII')
  q.points = 2
  q.question = 'What is the most dangerous monster in the Balamb Garden training area?'
  q.answer = 'T-Rexaur'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Guilty Gear'
end

VideoGame.seed(:name) do |g|
  g.name = 'Guilty Gear'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1998
  g.video_game_continuum = VideoGameContinuum.find_by_name('Guilty Gear')
end

game = VideoGame.find_by_name('Guilty Gear')
game.video_game_genres << VideoGameGenre.find_by_name('Fighting')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 135
  q.video_game = VideoGame.find_by_name('Guilty Gear')
  q.points = 1
  q.question = "Name both of Dizzy's wings (1 per each)"
  q.answer = 'Necro and Undine'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 136
  q.video_game = VideoGame.find_by_name('The Legend of Zelda: Ocarina of Time')
  q.points = 1
  q.question = 'What is the name of the forest at the beginning of the game?'
  q.answer = 'Kokiri Forest'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Final Fantasy Tactics'
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy Tactics'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1997
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy Tactics')
end

game = VideoGame.find_by_name('Final Fantasy Tactics')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.video_game_genres << VideoGameGenre.find_by_name('Tactical RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 137
  q.video_game = VideoGame.find_by_name('Final Fantasy Tactics')
  q.points = 2
  q.question = 'How many Lucavi demons are you required to defeat, not counting the final boss?'
  q.answer = 'Five (Queklain, Velius, Zalera, Adramelk & Hashmalum)'
  q.bonus_question = 'Give the name and title/class of any one of the five demons.'
  q.bonus_answer = 'Queklain - Impure King; Velius - Warlock; Zalera - Angel of Death; Adramelk - Ghost of Fury; Hashmalum - Regulator'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 138
  q.video_game = VideoGame.find_by_name('The Legend of Dragoon')
  q.points = 2
  q.question = 'What created the Valley of Corrupted Gravity?'
  q.answer = 'The magic released by the war between humans and Winglies'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 139
  q.video_game = VideoGame.find_by_name('Final Fantasy IX')
  q.points = 2
  q.question = "What song does the theater ship band play to raise the crew's spirits following the crash?"
  q.answer = "Rufus' Welcoming Ceremony from FF7"
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'James Bond 007'
end

VideoGame.seed(:name) do |g|
  g.name = 'The World is Not Enough'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 2000
  g.video_game_continuum = VideoGameContinuum.find_by_name('James Bond 007')
end

game = VideoGame.find_by_name('The World is Not Enough')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.video_game_genres << VideoGameGenre.find_by_name('First Person Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 140
  q.video_game = VideoGame.find_by_name('The World is Not Enough')
  q.points = 1
  q.question = 'What is the only weapon in the game you need to assemble?'
  q.answer = 'The Golden Gun'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 141
  q.video_game = VideoGame.find_by_name('Final Fantasy VIII')
  q.points = 3
  q.question = "Where did Seifer's victory dance originate?"
  q.answer = 'The film Laguna starred in years ago'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Katamari Damacy'
end

VideoGame.seed(:name) do |g|
  g.name = 'Katamari Damacy'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2004
  g.video_game_continuum = VideoGameContinuum.find_by_name('Katamari Damacy')
end

game = VideoGame.find_by_name('Katamari Damacy')
game.video_game_genres << VideoGameGenre.find_by_name('Miscellaneous')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 142
  q.video_game = VideoGame.find_by_name('Katamari Damacy')
  q.points = 3
  q.question = 'Name all four of the Hoshino family'
  q.answer = 'Mutsuo, Michiru, Mizue, Tomio'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Guilty Gear X'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2001
  g.video_game_continuum = VideoGameContinuum.find_by_name('Guilty Gear')
end

game = VideoGame.find_by_name('Guilty Gear X')
game.video_game_genres << VideoGameGenre.find_by_name('Fighting')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 143
  q.video_game = VideoGame.find_by_name('Guilty Gear X')
  q.points = 3
  q.question = 'As the start of the game, how old is Dizzy?'
  q.answer = '3 years old'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 144
  q.video_game = VideoGame.find_by_name('Final Fantasy VII')
  q.points = 2
  q.question = 'What is the name of the club in Wall Market?'
  q.answer = 'The Honeybee Inn'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 145
  q.video_game = VideoGame.find_by_name('Final Fantasy VIII')
  q.points = 1
  q.question = "What is Zell's favorite food in the Balamb cafeteria?"
  q.answer = 'Hot Dogs'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Devil May Cry'
end

VideoGame.seed(:name) do |g|
  g.name = "Devil May Cry 3: Dante's Awakening"
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2005
  g.video_game_continuum = VideoGameContinuum.find_by_name('Devil May Cry')
end

game = VideoGame.find_by_name("Devil May Cry 3: Dante's Awakening")
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 146
  q.video_game = VideoGame.find_by_name("Devil May Cry 3: Dante's Awakening")
  q.points = 2
  q.question = 'On what condition does Dante agree to take the swords Agni and Rudra?'
  q.answer = 'The swords cannot speak'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'GoldenEye 007'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 1997
  g.video_game_continuum = VideoGameContinuum.find_by_name('James Bond 007')
end

game = VideoGame.find_by_name('GoldenEye 007')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.video_game_genres << VideoGameGenre.find_by_name('First Person Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 147
  q.video_game = VideoGame.find_by_name('GoldenEye 007')
  q.points = 2
  q.question = 'Who do you fight in the secret temple level?'
  q.answer = 'Baron Samodi'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 148
  q.video_game = VideoGame.find_by_name('Final Fantasy Tactics')
  q.points = 3
  q.question = 'What is the spoken attack phrase for the "Holy Explosion" ability'
  q.answer = '"Heaven\'s wish to destroy all minds"'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'NiGHTS Into Dreams...'
end

VideoGame.seed(:name) do |g|
  g.name = 'NiGHTS Into Dreams...'
  g.video_game_system = VideoGameSystem.find_by_name('Saturn')
  g.year = 1996
  g.video_game_continuum = VideoGameContinuum.find_by_name('NiGHTS Into Dreams...')
end

game = VideoGame.find_by_name('NiGHTS Into Dreams...')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 149
  q.video_game = VideoGame.find_by_name('NiGHTS Into Dreams...')
  q.points = 1
  q.question = 'What are the names of the two main characters?'
  q.answer = 'Claire and Elliot'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 150
  q.video_game = VideoGame.find_by_name('Final Fantasy Tactics')
  q.points = 1
  q.question = 'During what conflict does the bulk of the game take place?'
  q.answer = 'The Lion War'
  q.bonus_question = "Which conflict is referenced as having ended shortly before the game's timeline?"
  q.bonus_answer = 'The Fifty Years War.'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = "Tony Hawk's Pro Skater"
end

VideoGame.seed(:name) do |g|
  g.name = "Tony Hawk's Pro Skater 2"
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 2000
  g.video_game_continuum = VideoGameContinuum.find_by_name("Tony Hawk's Pro Skater")
end

game = VideoGame.find_by_name("Tony Hawk's Pro Skater 2")
game.video_game_genres << VideoGameGenre.find_by_name('Sports')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 151
  q.video_game = VideoGame.find_by_name("Tony Hawk's Pro Skater 2")
  q.points = 2
  q.question = 'How do you reveal the area where you can get the Secret Tape in the first level?'
  q.answer = 'Grind the helicopter blades'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'The Granstream Saga'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1997
end

game = VideoGame.find_by_name('The Granstream Saga')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 152
  q.video_game = VideoGame.find_by_name('The Granstream Saga')
  q.points = 1
  q.question = 'What is the name of the Spirit Bird?'
  q.answer = 'Korky'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Devil May cry'
end

VideoGame.seed(:name) do |g|
  g.name = 'Devil May Cry'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2001
  g.video_game_continuum = VideoGameContinuum.find_by_name('Devil May cry')
end

game = VideoGame.find_by_name('Devil May Cry')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 153
  q.video_game = VideoGame.find_by_name('Devil May Cry')
  q.points = 3
  q.question = 'Name the ocular accessory worn by a special unlockable character, and who wears it?'
  q.answer = 'A monocle, Sparda'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 154
  q.video_game = VideoGame.find_by_name('Guilty Gear')
  q.points = 2
  q.question = "What is Ky Kiske's favorite hobby?"
  q.answer = 'Collecting antique teacups'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Bust-a-Move/Puzzle Bobble'
end

VideoGame.seed(:name) do |g|
  g.name = 'Bust-a-Move 4'
  g.video_game_system = VideoGameSystem.find_by_name('Dreamcast')
  g.year = 2000
  g.video_game_continuum = VideoGameContinuum.find_by_name('Bust-a-Move/Puzzle Bobble')
end

game = VideoGame.find_by_name('Bust-a-Move 4')
game.video_game_genres << VideoGameGenre.find_by_name('Puzzle')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 155
  q.video_game = VideoGame.find_by_name('Bust-a-Move 4')
  q.points = 1
  q.question = 'In the game\'s ostensible "plot", what are you trying to recover?'
  q.answer = 'Rainbow Bubbles'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 156
  q.video_game = VideoGame.find_by_name('Final Fantasy Tactics')
  q.points = 2
  q.question = 'Which job classes are limited to only female and male characters? (1 per each)'
  q.answer = 'Dancer and Bard'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 157
  q.video_game = VideoGame.find_by_name('Final Fantasy VII')
  q.points = 3
  q.question = "How does Cloud describe Barrett's sailor disguise upon reaching Costa del Sol?"
  q.answer = '"You look like a bear wearing a marshmallow."'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Gauntlet Legends'
  g.video_game_system = VideoGameSystem.find_by_name('Dreamcast')
  g.year = 2000
end

game = VideoGame.find_by_name('Gauntlet Legends')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 158
  q.video_game = VideoGame.find_by_name('Gauntlet Legends')
  q.points = 2
  q.question = "What was Death's effect on you if he successfully attacked?"
  q.answer = 'He could drain your levels'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 159
  q.video_game = VideoGame.find_by_name('Crimson Skies: High Road to Revenge')
  q.points = 1
  q.question = 'What city will be destroyed if you are too slow in killing the final boss'
  q.answer = 'Chicago'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Mario Kart 64'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 1996
  g.video_game_continuum = VideoGameContinuum.find_by_name('Mario Kart')
end

game = VideoGame.find_by_name('Mario Kart 64')
game.video_game_genres << VideoGameGenre.find_by_name('Racing')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 160
  q.video_game = VideoGame.find_by_name('Mario Kart 64')
  q.points = 1
  q.question = 'What does the lightning bolt do?'
  q.answer = 'Makes everyone else small'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 161
  q.video_game = VideoGame.find_by_name('Final Fantasy VII')
  q.points = 2
  q.question = 'Who are "Gya ha ha" and "Kya ha ha", in that order?'
  q.answer = 'Heidegger and Scarlet'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 162
  q.video_game = VideoGame.find_by_name('GoldenEye 007')
  q.points = 2
  q.question = 'What two weapons can you wield simultaneously after defeating Xenia Aunotopp?'
  q.answer = 'Grenade Launcher and RCP-90'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 163
  q.video_game = VideoGame.find_by_name('Grandia')
  q.points = 1
  q.question = 'What is the name of the giant wall?'
  q.answer = 'The End of the World'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 164
  q.video_game = VideoGame.find_by_name('Final Fantasy VII')
  q.points = 3
  q.question = "What is the name of Sephiroth's mother?"
  q.answer = 'Lucrecia'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Jak and Daxter'
end

VideoGame.seed(:name) do |g|
  g.name = 'Jak II'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('Jak and Daxter')
end

game = VideoGame.find_by_name('Jak II')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 165
  q.video_game = VideoGame.find_by_name('Jak II')
  q.points = 2
  q.question = 'What name does Daxter give the bar, and what is its original name? (3 if both)'
  q.answer = 'The Naughty Otsel, The Hip Hog'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Xenogears/Xenosaga'
end

VideoGame.seed(:name) do |g|
  g.name = 'Xenogears'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1998
  g.video_game_continuum = VideoGameContinuum.find_by_name('Xenogears/Xenosaga')
end

game = VideoGame.find_by_name('Xenogears')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 166
  q.video_game = VideoGame.find_by_name('Xenogears')
  q.points = 2
  q.question = 'How did Bart lose his eye? How did Sigurd lose his eye? (3 if both)'
  q.answer = 'Bart jumped into the engine to keep it from overloading, Sigurd jumped in to get him out.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 167
  q.video_game = VideoGame.find_by_name('The Granstream Saga')
  q.points = 3
  q.question = 'What spell was used on Slayzer to attack the evil Mah-oh'
  q.answer = 'Genocide'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Perfect Dark'
end

VideoGame.seed(:name) do |g|
  g.name = 'Perfect Dark'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo 64')
  g.year = 2000
  g.video_game_continuum = VideoGameContinuum.find_by_name('Perfect Dark')
end

game = VideoGame.find_by_name('Perfect Dark')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.video_game_genres << VideoGameGenre.find_by_name('First Person Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 168
  q.video_game = VideoGame.find_by_name('Perfect Dark')
  q.points = 2
  q.question = 'Who carries the Golden Magnum, and what is his title?'
  q.answer = 'Trent Easton, NSA Director'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 169
  q.video_game = VideoGame.find_by_name('Final Fantasy VIII')
  q.points = 2
  q.question = "What was the name of Squall's symbolic Guardian Force?"
  q.answer = 'Griever'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 170
  q.video_game = VideoGame.find_by_name('GoldenEye 007')
  q.points = 1
  q.question = 'What gadget do you use to escape the armored train?'
  q.answer = 'Watch laser'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy X-2'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy X-2')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 171
  q.video_game = VideoGame.find_by_name('Final Fantasy X-2')
  q.points = 1
  q.question = 'What do the initials YRP stand for?'
  q.answer = 'Yuna Riku Pain'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Phantom Dust'
  g.video_game_system = VideoGameSystem.find_by_name('Xbox')
  g.year = 2004
end

game = VideoGame.find_by_name('Phantom Dust')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 172
  q.video_game = VideoGame.find_by_name('Phantom Dust')
  q.points = 2
  q.question = 'For whom does Edgar search?'
  q.answer = 'Freia/the women in the locket'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 173
  q.video_game = VideoGame.find_by_name('The Legend of Dragoon')
  q.points = 3
  q.question = 'What keeps Rose immortal?'
  q.answer = 'Her choker'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 174
  q.video_game = VideoGame.find_by_name('Final Fantasy IX')
  q.points = 2
  q.question = "What is Dagger's full name?"
  q.answer = 'Garnet til Alexandros XVII'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 175
  q.video_game = VideoGame.find_by_name('Devil May Cry')
  q.points = 2
  q.question = 'What item drained your life over time?'
  q.answer = 'Melancholy Soul'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 176
  q.video_game = VideoGame.find_by_name('Drakengard')
  q.points = 1
  q.question = 'Who is Inuart in love with?'
  q.answer = 'Furiae (the answer "The Goddess" will not suffice)'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Disgaea'
end

VideoGame.seed(:name) do |g|
  g.name = 'Disgaea: Hour of Darkness'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('Disgaea')
end

game = VideoGame.find_by_name('Disgaea: Hour of Darkness')
game.video_game_genres << VideoGameGenre.find_by_name('Tactical RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 177
  q.video_game = VideoGame.find_by_name('Disgaea: Hour of Darkness')
  q.points = 2
  q.question = 'What is the real name of the character "Mid-boss"?'
  q.answer = 'Vyers'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'We Love Katamari'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2005
  g.video_game_continuum = VideoGameContinuum.find_by_name('Katamari Damacy')
end

game = VideoGame.find_by_name('We Love Katamari')
game.video_game_genres << VideoGameGenre.find_by_name('Miscellaneous')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 178
  q.video_game = VideoGame.find_by_name('We Love Katamari')
  q.points = 1
  q.question = 'What is the largest object you can roll up?'
  q.answer = 'The sun'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Parasite Eve'
end

VideoGame.seed(:name) do |g|
  g.name = 'Parasite Eve II'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1999
  g.video_game_continuum = VideoGameContinuum.find_by_name('Parasite Eve')
end

game = VideoGame.find_by_name('Parasite Eve II')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 179
  q.video_game = VideoGame.find_by_name('Parasite Eve II')
  q.points = 2
  q.question = 'What two weapons do you start with?'
  q.answer = 'Tonfa baton and the Beretta M93R'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 180
  q.video_game = VideoGame.find_by_name('The Legend of Zelda: Ocarina of Time')
  q.points = 1
  q.question = 'What race is Link?'
  q.answer = 'Hylian'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 181
  q.video_game = VideoGame.find_by_name('SoulCalibur')
  q.points = 1
  q.question = "Who is Ivy's father?"
  q.answer = 'Cervantes'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Psychonauts'
  g.video_game_system = VideoGameSystem.find_by_name('Xbox')
  g.year = 2005
end

game = VideoGame.find_by_name('Psychonauts')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 182
  q.video_game = VideoGame.find_by_name('Psychonauts')
  q.points = 1
  q.question = 'What is the name of the training regime in the first level?'
  q.answer = 'Basic Braining'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 183
  q.video_game = VideoGame.find_by_name('Final Fantasy Tactics')
  q.points = 3
  q.question = 'In which area do you have to be to find the Materia Blade?'
  q.answer = 'Bervenia'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 184
  q.video_game = VideoGame.find_by_name('Parasite Eve II')
  q.points = 2
  q.question = 'What special weapon can you obtain that is a reference to another Square Enix title?'
  q.answer = 'Gunblade'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Oni'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2001
end

game = VideoGame.find_by_name('Oni')
game.video_game_genres << VideoGameGenre.find_by_name("Beat 'em Up")
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 185
  q.video_game = VideoGame.find_by_name('Oni')
  q.points = 3
  q.question = 'What is the full name of the Superball Gun?'
  q.answer = 'Scatter-pack Ballistic Grenade Man-Portable Mortar'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 186
  q.video_game = VideoGame.find_by_name('SoulCalibur')
  q.points = 3
  q.question = "Name Sophitia's husband"
  q.answer = 'Rothian'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 187
  q.video_game = VideoGame.find_by_name('Oni')
  q.points = 3
  q.question = 'What is the benefit to not killing Griffin?'
  q.answer = 'He and 2 Black Ops troopers will join you in the boss battle'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Bemani'
end

VideoGame.seed(:name) do |g|
  g.name = 'Karaoke Revolution Party'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('Bemani')
end

game = VideoGame.find_by_name('Karaoke Revolution Party')
game.video_game_genres << VideoGameGenre.find_by_name('Rhythm/Singing')
game.video_game_genres << VideoGameGenre.find_by_name('Singing')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 188
  q.video_game = VideoGame.find_by_name('Karaoke Revolution Party')
  q.points = 1
  q.question = 'What is the highest record type you can get for performance in a song?'
  q.answer = 'Diamond'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 189
  q.video_game = VideoGame.find_by_name('Katamari Damacy')
  q.points = 3
  q.question = 'What is the largest object in the game, counting the end credits'
  q.answer = 'Russia'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Prince of Persia'
end

VideoGame.seed(:name) do |g|
  g.name = 'Prince of Persia: The Sands of Time'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('Prince of Persia')
end

game = VideoGame.find_by_name('Prince of Persia: The Sands of Time')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 190
  q.video_game = VideoGame.find_by_name('Prince of Persia: The Sands of Time')
  q.points = 3
  q.question = "How does the Prince deal with Farah's rebellious nature?"
  q.answer = 'He decides to marry her'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Dino Crisis'
end

VideoGame.seed(:name) do |g|
  g.name = 'Dino Crisis'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation')
  g.year = 1999
  g.video_game_continuum = VideoGameContinuum.find_by_name('Dino Crisis')
end

game = VideoGame.find_by_name('Dino Crisis')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 191
  q.video_game = VideoGame.find_by_name('Dino Crisis')
  q.points = 1
  q.question = 'What is the name of the starting handgun?'
  q.answer = 'Parabellum'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 192
  q.video_game = VideoGame.find_by_name('Final Fantasy VIII')
  q.points = 2
  q.question = 'Which of the two Minotaur Brothers is the eldest?'
  q.answer = 'The shorter one'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 193
  q.video_game = VideoGame.find_by_name("Devil May Cry 3: Dante's Awakening")
  q.points = 3
  q.question = "What is the myserious girl's name?"
  q.answer = 'Mary'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Street Fighter 2010: The Final Fight'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1990
end

game = VideoGame.find_by_name('Street Fighter 2010: The Final Fight')
game.video_game_genres << VideoGameGenre.find_by_name("Beat 'em Up")
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 194
  q.video_game = VideoGame.find_by_name('Street Fighter 2010: The Final Fight')
  q.points = 3
  q.question = 'In the game, you are Ken.  Who is your lab partner?'
  q.answer = 'Troy'
  q.bonus_question = 'What were Ken and Troy studying?'
  q.bonus_answer = 'Cytoplasm'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Wild Arms'
end

VideoGame.seed(:name) do |g|
  g.name = 'Wild Arms 3'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2002
  g.video_game_continuum = VideoGameContinuum.find_by_name('Wild Arms')
end

game = VideoGame.find_by_name('Wild Arms 3')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 195
  q.video_game = VideoGame.find_by_name('Wild Arms 3')
  q.points = 2
  q.question = 'All of the Telepath Towers have a standard, damage-dealing attack.  What is it?'
  q.answer = 'Hyperion Blaster'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 196
  q.video_game = VideoGame.find_by_name('Wild Arms 3')
  q.points = 2
  q.question = 'After defeating the first few Telepath Towers, what boss monster do you fight?'
  q.answer = 'Creeping Chaos'
  q.bonus_question = 'Where else in the game are there references to the Creeping Chaos?'
  q.bonus_answer = "In Armengard's quotes"
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy II'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy II')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 197
  q.video_game = VideoGame.find_by_name('Final Fantasy II')
  q.points = 2
  q.question = 'Princess Hilda of the resistance is rescued from aboard the Warship/Dreadnought.  Who brings her to safety?'
  q.answer = 'Prince Gordon'
  q.bonus_question = 'Prince Gordon has a brother.  What is his name?'
  q.bonus_answer = 'Scott'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Ogre Battle'
end

VideoGame.seed(:name) do |g|
  g.name = 'Ogre Battle: The March of the Black Queen'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1993
  g.video_game_continuum = VideoGameContinuum.find_by_name('Ogre Battle')
end

game = VideoGame.find_by_name('Ogre Battle: The March of the Black Queen')
game.video_game_genres << VideoGameGenre.find_by_name('Strategy')
game.video_game_genres << VideoGameGenre.find_by_name('Turn-Based Strategy')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 198
  q.video_game = VideoGame.find_by_name('Ogre Battle: The March of the Black Queen')
  q.points = 3
  q.question = 'In the late game, players can attempt to recover the 12 Zodiac Stones.  However, there is a problem with recovering the "Pearl".  What is it?'
  q.answer = 'The monk has lost it somewhere'
  q.bonus_question = 'What does the monk give the player instead?'
  q.bonus_answer = 'Ginger Cake'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 199
  q.video_game = VideoGame.find_by_name('Ogre Battle: The March of the Black Queen')
  q.points = 3
  q.question = 'There are three legendary treasures in the game.  For one point each, what are they?'
  q.answer = 'The Sword Brunhild, The Holy Grail, and The Mystic Armband'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 200
  q.video_game = VideoGame.find_by_name('Ogre Battle: The March of the Black Queen')
  q.points = 3
  q.question = 'Besides the sky island "Shangrila", there are three others, each guarded by one of three great knights.  For 1 point each, what are their names, complete with titles?'
  q.answer = 'Slust the Red, Fenril of Ice, Fogel the Dragon Rider'
  q.bonus_question = 'What special character can be found on Shangrila?'
  q.bonus_answer = 'Fellana, the Goddess of Justice'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 201
  q.video_game = VideoGame.find_by_name('The Magic of Scheherazade')
  q.points = 2
  q.question = "Name the first world's Great Magic"
  q.answer = 'Monecom'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 202
  q.video_game = VideoGame.find_by_name('The Magic of Scheherazade')
  q.points = 3
  q.question = 'Which language is Gun Meca researching when he joins you?'
  q.answer = 'Peke Peke'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 203
  q.video_game = VideoGame.find_by_name('The Magic of Scheherazade')
  q.points = 2
  q.question = 'Why was Supica imprisoned?'
  q.answer = 'For stealing bread'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Lufia'
end

VideoGame.seed(:name) do |g|
  g.name = 'Lufia 2: Rise of the Sinistrals'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1995
  g.video_game_continuum = VideoGameContinuum.find_by_name('Lufia')
end

game = VideoGame.find_by_name('Lufia 2: Rise of the Sinistrals')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 204
  q.video_game = VideoGame.find_by_name('Lufia 2: Rise of the Sinistrals')
  q.points = 2
  q.question = 'What are the names of the four sinistrals (1 point per 2)?'
  q.answer = 'Gades, Amon, Erin, Daos'
  q.bonus_question = 'What is the domain associated with each?'
  q.bonus_answer = 'Gades -- Destruction, Amon -- Chaos, Erin -- Death, Daos -- Terror'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 205
  q.video_game = VideoGame.find_by_name('Final Fantasy')
  q.points = 1
  q.question = 'What is the effect of the 1st level white mage spell "Harm"?'
  q.answer = 'Damages undead enemies'
  q.bonus_question = 'Red mages cannot learn harm.  What 1st level spells can they learn?'
  q.bonus_answer = 'Cure and Fog (also, Ruse when promoted to Red Wizard, but this is not necessary for a correct answer)'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 206
  q.video_game = VideoGame.find_by_name('Earthbound')
  q.points = 3
  q.question = "What is the name of Ness's unique psychic power derived from (1 point), and name the possibilities (1 point per 3)"
  q.answer = 'Derived from the "Favorite Thing" when you started the game.  Possibilities are Rockin, Hammer, Love, Gifts, Slime, Gaming, and Boxing'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Zelda II: The Adventure of Link'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1988
  g.video_game_continuum = VideoGameContinuum.find_by_name('The Legend of Zelda')
end

game = VideoGame.find_by_name('Zelda II: The Adventure of Link')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 207
  q.video_game = VideoGame.find_by_name('Zelda II: The Adventure of Link')
  q.points = 3
  q.question = 'After beating the game, the player receives a rewarding message.  What is it?'
  q.answer = 'Thanks a Million!'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Arcana'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1992
end

game = VideoGame.find_by_name('Arcana')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 208
  q.video_game = VideoGame.find_by_name('Arcana')
  q.points = 2
  q.question = 'Salah is the daughter of a king.  What is his name?'
  q.answer = 'King Wagnall'
  q.bonus_question = 'How did he die?'
  q.bonus_answer = 'Killed by Galneon'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Half-Life'
end

VideoGame.seed(:name) do |g|
  g.name = 'Half-Life'
  g.video_game_system = VideoGameSystem.find_by_name('PC/Mac')
  g.year = 1998
  g.video_game_continuum = VideoGameContinuum.find_by_name('Half-Life')
end

game = VideoGame.find_by_name('Half-Life')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.video_game_genres << VideoGameGenre.find_by_name('First Person Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 209
  q.video_game = VideoGame.find_by_name('Half-Life')
  q.points = 1
  q.question = 'Name the border world'
  q.answer = 'Xen'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Half-Life: Blue Shift'
  g.video_game_system = VideoGameSystem.find_by_name('PC/Mac')
  g.year = 2001
  g.video_game_continuum = VideoGameContinuum.find_by_name('Half-Life')
end

game = VideoGame.find_by_name('Half-Life: Blue Shift')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.video_game_genres << VideoGameGenre.find_by_name('First Person Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 210
  q.video_game = VideoGame.find_by_name('Half-Life: Blue Shift')
  q.points = 3
  q.question = 'For 1 point each, name the three scientists you assist at the end of the game.'
  q.answer = 'Dr. Rosenburg, Simmons, and Walter'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy XII'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2006
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy XII')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 211
  q.video_game = VideoGame.find_by_name('Final Fantasy XII')
  q.points = 1
  q.question = 'Who do you journey to Mt. Bur-Omisace to meet with?'
  q.answer = 'Gran Kiltias Anastasis'
  q.bonus_question = 'Lamont had hinted that while there, you you meet an ally and enemy in the same person.  Who was it?'
  q.bonus_answer = 'Al-Cid'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 212
  q.video_game = VideoGame.find_by_name('Final Fantasy XII')
  q.points = 2
  q.question = 'What is the only elemental damage type that you cannot inflict as a result of casting a spell?'
  q.answer = 'Earth'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Hellgate: London'
  g.video_game_system = VideoGameSystem.find_by_name('PC/Mac')
  g.year = 2007
end

game = VideoGame.find_by_name('Hellgate: London')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 213
  q.video_game = VideoGame.find_by_name('Hellgate: London')
  q.points = 1
  q.question = 'Name the character who leads the Templar on a pointless suicide mission to attack the Hellgate'
  q.answer = 'Lord Maxim'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 214
  q.video_game = VideoGame.find_by_name('Hellgate: London')
  q.points = 2
  q.question = 'What is the alphanumeric designation for the only close combat weapon for the Marksmen?'
  q.answer = 'XM666'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'R-Type'
end

VideoGame.seed(:name) do |g|
  g.name = 'R-Type Final'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2003
  g.video_game_continuum = VideoGameContinuum.find_by_name('R-Type')
end

game = VideoGame.find_by_name('R-Type Final')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 215
  q.video_game = VideoGame.find_by_name('R-Type Final')
  q.points = 1
  q.question = 'Name the enemies against whom you fight'
  q.answer = 'Bydo'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Home Alone'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1991
end

game = VideoGame.find_by_name('Home Alone')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 216
  q.video_game = VideoGame.find_by_name('Home Alone')
  q.points = 1
  q.question = 'How long must you evade capture to win the game?'
  q.answer = '20 minutes'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Hydlide'
end

VideoGame.seed(:name) do |g|
  g.name = 'Hydlide'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1986
  g.video_game_continuum = VideoGameContinuum.find_by_name('Hydlide')
end

game = VideoGame.find_by_name('Hydlide')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 217
  q.video_game = VideoGame.find_by_name('Hydlide')
  q.points = 3
  q.question = 'For 1 point each, how are each of the 3 fairies acquired?'
  q.answer = 'Found inside a tree on screen with bees, found inside a tree on screen with moving trees, found by killing both magicians at the same time with the Wave spell.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Zombie Nation'
  g.video_game_system = VideoGameSystem.find_by_name('Nintendo Entertainment System')
  g.year = 1990
end

game = VideoGame.find_by_name('Zombie Nation')
game.video_game_genres << VideoGameGenre.find_by_name('Scroller')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 218
  q.video_game = VideoGame.find_by_name('Zombie Nation')
  q.points = 1
  q.question = 'Who are you blowing up America to stop?'
  q.answer = 'Darc Seed'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 219
  q.video_game = VideoGame.find_by_name('Gunstar Heroes')
  q.points = 2
  q.question = 'What is the name of the final boss?'
  q.answer = 'Golden Silver'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 220
  q.video_game = VideoGame.find_by_name('Parasite Eve II')
  q.points = 3
  q.question = 'In Dryfield, there is a single arcade machine.  What machine is it?'
  q.answer = 'Einhander'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Sword of the New World: Granado Espada'
  g.video_game_system = VideoGameSystem.find_by_name('PC/Mac')
  g.year = 2006
end

game = VideoGame.find_by_name('Sword of the New World: Granado Espada')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 221
  q.video_game = VideoGame.find_by_name('Sword of the New World: Granado Espada')
  q.points = 1
  q.question = 'Who is the main boss of the Al Quelt Moreza area?'
  q.answer = 'Dios Lantem'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'God of War'
end

VideoGame.seed(:name) do |g|
  g.name = 'God of War'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2005
  g.video_game_continuum = VideoGameContinuum.find_by_name('God of War')
end

game = VideoGame.find_by_name('God of War')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 222
  q.video_game = VideoGame.find_by_name('God of War')
  q.points = 2
  q.question = "Why is Kratos' skin so pale?"
  q.answer = 'The ashes of his family are bonded to his flesh as a reminder of his sins.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 223
  q.video_game = VideoGame.find_by_name('God of War')
  q.points = 2
  q.question = "What three defeated enemies are displayed in Kratos' throne room on Olympus at the end of the game?"
  q.answer = 'The hydra, the armored minotaur, and Aries.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'God of War II'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2007
end

game = VideoGame.find_by_name('God of War II')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 224
  q.video_game = VideoGame.find_by_name('God of War II')
  q.points = 1
  q.question = 'Who carried the Golden Fleece before being killed by a Cerberus?'
  q.answer = 'Jason.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 225
  q.video_game = VideoGame.find_by_name('God of War II')
  q.points = 3
  q.question = 'What side character reappears as a ghost during the battle with the barbarian warrior?'
  q.answer = 'The ship captain who was swallowed by the hydra.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 226
  q.video_game = VideoGame.find_by_name('Half-Life')
  q.points = 1
  q.question = 'What division of the Black Mesa facility was Gordon Freeman originally assigned to?'
  q.answer = 'Anomalous Materials.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 227
  q.video_game = VideoGame.find_by_name('Half-Life')
  q.points = 3
  q.question = 'What theoretical event caused the disaster at Black Mesa?'
  q.answer = 'A resonance cascade.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Half-Life 2'
  g.video_game_system = VideoGameSystem.find_by_name('PC/Mac')
  g.year = 2004
  g.video_game_continuum = VideoGameContinuum.find_by_name('Half-Life')
end

game = VideoGame.find_by_name('Half-Life 2')
game.video_game_genres << VideoGameGenre.find_by_name('Shooter')
game.video_game_genres << VideoGameGenre.find_by_name('First Person Shooter')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 228
  q.video_game = VideoGame.find_by_name('Half-Life 2')
  q.points = 1
  q.question = 'What is the name of the alien race that assists the resistance fighters?'
  q.answer = 'The Vortigaunts.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 229
  q.video_game = VideoGame.find_by_name('Half-Life 2')
  q.points = 3
  q.question = "What is the full name of Dr. Kleiner's pet headcrab?"
  q.answer = 'Heady Lamarr.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 230
  q.video_game = VideoGame.find_by_name('Half-Life 2')
  q.points = 3
  q.question = 'Who gives Freeman the weapon he needs to take down the Combine gunships?'
  q.answer = 'Colonel Odessa Cubage.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Odin Sphere'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2007
end

game = VideoGame.find_by_name('Odin Sphere')
game.video_game_genres << VideoGameGenre.find_by_name('Action RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 231
  q.video_game = VideoGame.find_by_name('Odin Sphere')
  q.points = 2
  q.question = "What does Mercedes enjoy hunting with her mother's crossbow?"
  q.answer = 'Frogs.'
  q.bonus_question = 'Why are these creatures hunted by the faeries?'
  q.bonus_answer = 'They often eat young faries.'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 232
  q.video_game = VideoGame.find_by_name('Odin Sphere')
  q.points = 3
  q.question = 'What is Queen Elfaria\'s "real" name?'
  q.answer = 'Fimblevintre.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 233
  q.video_game = VideoGame.find_by_name('Odin Sphere')
  q.points = 2
  q.question = 'What is the power of the mystical Cauldron?'
  q.answer = 'It can create Psyphers.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Grandia III'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2005
  g.video_game_continuum = VideoGameContinuum.find_by_name('Grandia')
end

game = VideoGame.find_by_name('Grandia III')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 234
  q.video_game = VideoGame.find_by_name('Grandia III')
  q.points = 1
  q.question = 'Whose exploits inspired Yuki to become a pilot?'
  q.answer = 'Sky Captain Schmidt.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 235
  q.video_game = VideoGame.find_by_name('Hellgate: London')
  q.points = 2
  q.question = 'Who led the first assault against the Hellgate in the games backstory?'
  q.answer = 'Lord Summerisle.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Resident Evil'
end

VideoGame.seed(:name) do |g|
  g.name = 'Resident Evil 4'
  g.video_game_system = VideoGameSystem.find_by_name('Gamecube')
  g.year = 2005
  g.video_game_continuum = VideoGameContinuum.find_by_name('Resident Evil')
end

game = VideoGame.find_by_name('Resident Evil 4')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.video_game_genres << VideoGameGenre.find_by_name('Adventure')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 236
  q.video_game = VideoGame.find_by_name('Resident Evil 4')
  q.points = 1
  q.question = 'What are the organisms that transform the people and creatures of the village into monsters called?'
  q.answer = 'Las Plagas.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 237
  q.video_game = VideoGame.find_by_name('Resident Evil 4')
  q.points = 1
  q.question = 'In addition to selling weapons and equipment, what service does the arms dealer provide?'
  q.answer = 'He runs the firing range.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'La Pucelle: Tactics'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2002
end

game = VideoGame.find_by_name('La Pucelle: Tactics')
game.video_game_genres << VideoGameGenre.find_by_name('Tactical RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 238
  q.video_game = VideoGame.find_by_name('La Pucelle: Tactics')
  q.points = 2
  q.question = 'What do Sister Allouette and Croix have in common?'
  q.answer = 'Both have lost most of their past memories.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 239
  q.video_game = VideoGame.find_by_name('La Pucelle: Tactics')
  q.points = 2
  q.question = 'What are the two primary churches named in the early parts of the game?'
  q.answer = 'The Church of the Holy Maiden and the Church of the Divine Mother.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Warhammer 40,000'
end

VideoGame.seed(:name) do |g|
  g.name = 'Warhammer 40,000: Dawn of War'
  g.video_game_system = VideoGameSystem.find_by_name('PC/Mac')
  g.year = 2004
  g.video_game_continuum = VideoGameContinuum.find_by_name('Warhammer 40,000')
end

game = VideoGame.find_by_name('Warhammer 40,000: Dawn of War')
game.video_game_genres << VideoGameGenre.find_by_name('Real-Time Strategy')
game.video_game_genres << VideoGameGenre.find_by_name('Strategy')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 240
  q.video_game = VideoGame.find_by_name('Warhammer 40,000: Dawn of War')
  q.points = 2
  q.question = "What is the name of Captain Gabriel Angelos' homeworld?"
  q.answer = 'Cyrene.'
  q.bonus_question = 'What happened to it?'
  q.bonus_answer = 'The Blood Ravens declared Exterminatus on the planet, scorching it and killing everything on its surface.'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 241
  q.video_game = VideoGame.find_by_name('The Legend of Dragoon')
  q.points = 2
  q.question = 'What magical substance can the party find hidden throughout the world?'
  q.answer = 'Stardust.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Armored Core'
end

VideoGame.seed(:name) do |g|
  g.name = 'Armored Core 3'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2002
  g.video_game_continuum = VideoGameContinuum.find_by_name('Armored Core')
end

game = VideoGame.find_by_name('Armored Core 3')
game.video_game_genres << VideoGameGenre.find_by_name('Simulation')
game.video_game_genres << VideoGameGenre.find_by_name('Fictional Vehicle')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 242
  q.video_game = VideoGame.find_by_name('Armored Core 3')
  q.points = 1
  q.question = 'What is the name of the top A-ranked pilot in the Arena at the beginning of the game?'
  q.answer = 'Ace'
  q.bonus_question = 'What is the name of the bottom E-ranked pilot at the beginning of the game?'
  q.bonus_answer = 'Adieu'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 243
  q.video_game = VideoGame.find_by_name('Chrono Trigger')
  q.points = 1
  q.question = 'When you begin a new game who is the first party character after Crono that you name?'
  q.answer = 'Lucca'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 244
  q.video_game = VideoGame.find_by_name('The Legend of Zelda: Ocarina of Time')
  q.points = 2
  q.question = 'What is the button-note sequence you need to play the Song of Storms?'
  q.answer = 'A, C-down, C-up, A, C-down, C-up'
  q.bonus_question = 'Whistle/hum the chorus for the song'
  q.bonus_answer = "Based on judge's review, but can't just be the first 6 notes"
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Fallout'
end

VideoGame.seed(:name) do |g|
  g.name = 'Fallout'
  g.video_game_system = VideoGameSystem.find_by_name('PC/Mac')
  g.year = 1997
  g.video_game_continuum = VideoGameContinuum.find_by_name('Fallout')
end

game = VideoGame.find_by_name('Fallout')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 245
  q.video_game = VideoGame.find_by_name('Fallout')
  q.points = 1
  q.question = 'Where is the main character from?'
  q.answer = 'Vault 13'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 246
  q.video_game = VideoGame.find_by_name('Devil May Cry')
  q.points = 2
  q.question = 'How can you defeat a Shadow without forcing it to reveal its core?'
  q.answer = "Wait for the Shadow to transform its head into a spear, jump on top of the spear-head when it attacks, then shoot off about a dozen rounds with your handguns while it's stunned."
  q.bonus_question = 'How do you do an instant-kill on the lizard-man-like Blade?'
  q.bonus_answer = 'While the Blade is recovering from an attack, strike from behind to knock it onto the ground facedown, then finish it with an aerial attack with your sword or gauntlets.'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Kirby'
end

VideoGame.seed(:name) do |g|
  g.name = 'Kirby Super Star'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1996
  g.video_game_continuum = VideoGameContinuum.find_by_name('Kirby')
end

game = VideoGame.find_by_name('Kirby Super Star')
game.video_game_genres << VideoGameGenre.find_by_name('Action/Platformer')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 247
  q.video_game = VideoGame.find_by_name('Kirby Super Star')
  q.points = 1
  q.question = 'Name three abilities that cannot be obtained as permanent abilities in the Milky Way Wishes game.'
  q.answer = 'Cook, Crash, Mike, Paint, and Sleep.'
  q.bonus_question = 'How many different abilities can be obtained as permanent abilities in Milky Way Wishes?'
  q.bonus_answer = '19'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGame.seed(:name) do |g|
  g.name = 'Final Fantasy IV'
  g.video_game_system = VideoGameSystem.find_by_name('Super Nintendo Entertainment System')
  g.year = 1991
  g.video_game_continuum = VideoGameContinuum.find_by_name('Final Fantasy')
end

game = VideoGame.find_by_name('Final Fantasy IV')
game.video_game_genres << VideoGameGenre.find_by_name('Traditional RPG')
game.video_game_genres << VideoGameGenre.find_by_name('RPG')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 248
  q.video_game = VideoGame.find_by_name('Final Fantasy IV')
  q.points = 2
  q.question = 'Name all the games released by Squaresoft with the name Final Fantasy for the North American SNES console.'
  q.answer = 'Final Fantasy II (or IV), Final Fantasy III (or VI), Final Fantasy Mystic Quest'
  q.bonus_question = 'For at least two of those games, name the characters in your party when you challenge the final boss.'
  q.bonus_answer = 'In Final Fantasy II (IV), the final party is Cecil, Kain, Rosa, Rydia, and Edge; in Final Fantasy III (VI), the final party can be any four out of the twelve characters you bring to the final stage; in Final Fantasy Mystic Quest, it is the main character (default name Benjamin) and Phoebe.'
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

VideoGameContinuum.seed(:name) do |g|
  g.name = 'Guitar Hero'
end

VideoGame.seed(:name) do |g|
  g.name = 'Guitar Hero'
  g.video_game_system = VideoGameSystem.find_by_name('Playstation 2')
  g.year = 2005
  g.video_game_continuum = VideoGameContinuum.find_by_name('Guitar Hero')
end

game = VideoGame.find_by_name('Guitar Hero')
game.video_game_genres << VideoGameGenre.find_by_name('Rhythm/Singing')
game.save!

VideoGameTriviaQuestion.seed(:id) do |q|
  q.id = 249
  q.video_game = VideoGame.find_by_name('Guitar Hero')
  q.points = 3
  q.question = 'Name the preferred guitar and finish for one character other than the Grim Ripper (i.e. the guitar/finish that identifies the character in its description).'
  q.answer = 'Gibson SG with Cherry finish goes to Axel Steel; Gibson ES-335 with Birdseye Maple finish goes to Clive Winston; Gibson SG with Worn White finish goes to Judy Nails; Gibson Explorer with Custom Rising Sun finish goes to Izzy Sparks; Gibson Les Paul Special with Green Lightning finish goes to Johnny Napalm; Gibson Firebird with Blue finish goes to Pandora; Gibson Corvus with White finish goes to Xavier Stone.'
  q.bonus_question = ''
  q.bonus_answer = ''
  q.state = 'approved'
  q.approver_id = 1
  q.approved_at = Time.now
  q.creator_id = 1
end

