class ExpandRoles < ActiveRecord::Migration
  def self.up
    say_with_time 'Adding encompassed roles and role delegators...' do
      # Add the roles_encompassed_roles table to mark which roles are subsumed by which
      create_table "roles_encompassed_roles" do |t|
        t.integer :role_id, :encompassed_role_id
      end
      add_index :roles_encompassed_roles, :role_id
      add_index :roles_encompassed_roles, :encompassed_role_id
      
      # Add the delegators_roles table to mark which users can DELEGATE certain roles
      create_table "delegators_roles" do |t|
        t.integer :role_id, :user_id, :creator_id
        t.datetime :created_at
      end
      add_index :delegators_roles, :role_id
      add_index :delegators_roles, :user_id
    end
  end

  def self.down
    drop_table "delegators_roles"
    drop_table "roles_encompassed_roles"
  end
end
