class CreateComments < ActiveRecord::Migration
  def self.up
    create_table :comments do |t|
      t.references :item, :polymorphic => true
      t.integer :parent_id, :default => 0
      t.string :comment_type, :default => 'general_comment'
      t.text :text

      t.timestamps
      t.userstamps
    end
    add_index :comments, [:item_id, :item_type]
    add_index :comments, :parent_id
  end

  def self.down
    drop_table :comments
  end
end
