class CreateAnimeSeries < ActiveRecord::Migration
  def self.up
    create_table :anime_series do |t|
      t.string :name
      t.references :anime_continuum
      t.integer :anidb_id
      t.string :years
      t.string :state, :null => :no, :default => 'pending_approval'
      t.string :pending_changes
      t.integer :approver_id
      t.datetime :approved_at

      t.timestamps
      t.userstamps
    end
    add_index :anime_series, :anidb_id, :unique => true
  end

  def self.down
    drop_table :anime_series
  end
end
