class CreateAnimeGenres < ActiveRecord::Migration
  def self.up
    create_table :anime_genres do |t|
      t.string :name
      t.string :description

      t.timestamps
      t.userstamps
    end
    
    create_table :anime_genres_anime_series, :id => false do |t|
      t.integer :anime_genre_id, :null => false
      t.integer :anime_series_id, :null => false
    end
    add_index :anime_genres_anime_series, :anime_genre_id
    add_index :anime_genres_anime_series, :anime_series_id
    add_index :anime_genres_anime_series, [:anime_series_id, :anime_genre_id], :unique => true, :name => 'anime_genres_anime_series_index'
  end

  def self.down
    drop_table :anime_genres
    drop_table :anime_genres_anime_series
  end
end
