class CreateAnimeTriviaQuestions < ActiveRecord::Migration
  def self.up
    create_table :anime_trivia_questions do |t|
      t.references :anime_series
      t.integer :points
      t.text :question
      t.text :answer
      t.text :bonus_question
      t.text :bonus_answer
      t.string :state, :null => :no, :default => 'pending_approval'
      t.string :pending_changes
      t.integer :approver_id
      t.datetime :approved_at

      t.timestamps
      t.userstamps
    end
    add_index :anime_trivia_questions, :anime_series_id
  end

  def self.down
    drop_table :anime_trivia_questions
  end
end
