class CreateAnimeScenes < ActiveRecord::Migration
  def self.up
    create_table :anime_scenes do |t|
      t.references :anime_series
      t.string :anime_scene_file_name
      t.string :anime_scene_content_type
      t.integer :anime_scene_file_size
      t.text :episode
      t.string :state, :null => :no, :default => 'pending_approval'
      t.string :pending_changes
      t.integer :approver_id
      t.datetime :approved_at

      t.timestamps
      t.userstamps
    end
    add_index :anime_scenes, :anime_series_id
  end

  def self.down
    drop_table :anime_scenes
  end
end
