class CreateVideoGameGenres < ActiveRecord::Migration
  def self.up
    create_table :video_game_genres do |t|
      t.string :name
      t.references :parent
      t.string :description

      t.timestamps
      t.userstamps
    end
    
    create_table :video_game_genres_video_game_series, :id => false do |t|
      t.integer :video_game_genre_id, :null => false
      t.integer :video_game_series_id, :null => false
    end
    add_index :video_game_genres_video_game_series, :video_game_genre_id, :name => 'vg_genres_genre_index'
    add_index :video_game_genres_video_game_series, :video_game_series_id, :name => 'vg_genres_series_index'
    add_index :video_game_genres_video_game_series, [:video_game_series_id, :video_game_genre_id], :unique => true, :name => 'vg_genres_vg_series_index'
  end

  def self.down
    drop_table :video_game_genres
    drop_table :video_game_genres_video_game_series
  end
end
