class CreateVideoGames < ActiveRecord::Migration
  def self.up
    create_table :video_games do |t|
      t.string :name
      t.references :video_game_system
      t.references :video_game_continuum
      t.integer :year
      t.string :state, :null => :no, :default => 'pending_approval'
      t.string :pending_changes
      t.integer :approver_id
      t.datetime :approved_at

      t.timestamps
      t.userstamps
    end
    
    drop_table :video_game_genres_video_game_series
    create_table :video_game_genres_video_games, :id => false do |t|
      t.integer :video_game_genre_id, :null => false
      t.integer :video_game_id, :null => false
    end
    add_index :video_game_genres_video_games, :video_game_genre_id, :name => 'vg_genres_genre_index'
    add_index :video_game_genres_video_games, :video_game_id, :name => 'vg_genres_index'
    add_index :video_game_genres_video_games, [:video_game_id, :video_game_genre_id], :unique => true, :name => 'vg_genres_vg_index'
  end

  def self.down
    drop_table :video_games
    drop_table :video_game_genres_video_games
    create_table :video_game_genres_video_game_series, :id => false do |t|
      t.integer :video_game_genre_id, :null => false
      t.integer :video_game_series_id, :null => false
    end
    add_index :video_game_genres_video_game_series, :video_game_genre_id, :name => 'vg_genres_genre_index'
    add_index :video_game_genres_video_game_series, :video_game_series_id, :name => 'vg_genres_series_index'
    add_index :video_game_genres_video_game_series, [:video_game_series_id, :video_game_genre_id], :unique => true, :name => 'vg_genres_vg_series_index'
  end
end
