class CreateVideoGameTriviaQuestions < ActiveRecord::Migration
  def self.up
    create_table :video_game_trivia_questions do |t|
      t.references :video_game
      t.integer :points
      t.text :question
      t.text :answer
      t.text :bonus_question
      t.text :bonus_answer
      t.string :state, :null => :no, :default => 'pending_approval'
      t.string :pending_changes
      t.integer :approver_id
      t.datetime :approved_at

      t.timestamps
      t.userstamps
    end
    add_index :video_game_trivia_questions, :video_game_id
  end

  def self.down
    drop_table :video_game_trivia_questions
  end
end
