class CreateVideoGameScenes < ActiveRecord::Migration
  def self.up
    create_table :video_game_scenes do |t|
      t.references :video_game
      t.string :video_game_scene_file_name
      t.string :video_game_scene_content_type
      t.integer :video_game_scene_file_size
      t.text :location
      t.string :state, :null => :no, :default => 'pending_approval'
      t.string :pending_changes
      t.integer :approver_id
      t.datetime :approved_at

      t.timestamps
      t.userstamps
    end
    add_index :video_game_scenes, :video_game_id
  end

  def self.down
    drop_table :video_game_scenes
  end
end
