class SeparateBonusQuestions < ActiveRecord::Migration
  def self.up
    # AnimeTriviaQuestion
    add_column :anime_trivia_questions, :question_type, :string, :default => 'normal', :null => false
    add_column :anime_trivia_questions, :parent_id, :integer, :default => nil
    
    AnimeTriviaQuestion.reset_column_information
    AnimeTriviaQuestion.find(:all).each do |q|
      if q.points == 1
        q.update_attribute :question_type, :normal
      elsif q.points == 2
        q.update_attribute :question_type, :bonus
      else
        q.update_attribute :question_type, :trick
      end
      
      if !q.bonus_question.nil? and !q.bonus_question.empty?
        bonus = AnimeTriviaQuestion.new do |b|
          b.attributes = q.attributes
          b.question = q.bonus_question
	  if q.bonus_answer.nil? or q.bonus_answer.empty?
	    b.answer = q.answer
  	  else
	    b.answer = q.bonus_answer
	  end
          b.parent = q
          b.question_type = :bonus
        end
	bonus.save!
        
        if q.approved?
          bonus.approve!
        elsif q.changed?
          bonus.approve!
          bonus.changed!
          bonus.pending_changes = q.pending_changes
        end
      end
      q.save!
    end
    
    remove_column :anime_trivia_questions, :bonus_question
    remove_column :anime_trivia_questions, :bonus_answer
    remove_column :anime_trivia_questions, :points

    # VideoGameTriviaQuestion
    add_column :video_game_trivia_questions, :question_type, :string, :default => 'normal', :null => false
    add_column :video_game_trivia_questions, :parent_id, :integer, :default => nil
    
    VideoGameTriviaQuestion.reset_column_information
    VideoGameTriviaQuestion.find(:all).each do |q|
      if q.points == 1
        q.update_attribute :question_type, :normal
      elsif q.points == 2
        q.update_attribute :question_type, :bonus
      else
        q.update_attribute :question_type, :trick
      end
      
      if !q.bonus_question.nil? and !q.bonus_question.empty?
        bonus = VideoGameTriviaQuestion.new do |b|
          b.attributes = q.attributes
          b.question = q.bonus_question
	  if q.bonus_answer.nil? or q.bonus_answer.empty?
	    b.answer = q.answer
  	  else
	    b.answer = q.bonus_answer
	  end
          b.parent = q
          b.question_type = :bonus
        end
	bonus.save!
        
        if q.approved?
          bonus.approve!
          bonus.approver = q.approver
          bonus.save!
        elsif q.changed?
          bonus.approve!
          bonus.approver = q.approver
          bonus.save!
          bonus.changed!
          bonus.pending_changes = q.pending_changes
        end
      end
      q.save!
    end
    
    remove_column :video_game_trivia_questions, :bonus_question
    remove_column :video_game_trivia_questions, :bonus_answer
    remove_column :video_game_trivia_questions, :points
  end

  def self.down
    # AnimeTriviaQuestion
    add_column :anime_trivia_questions, :bonus_question, :text
    add_column :anime_trivia_questions, :bonus_answer, :text
    add_column :anime_trivia_questions, :points, :integer
    
    AnimeTriviaQuestion.reset_column_information
    AnimeTriviaQuestion.find(:all) do |q|
      if q.question_type == :bonus
        if q.parent?
          q.parent.bonus_question = q.question
          q.parent.bonus_answer = q.answer
          q.delete!
        else
          q.update_attribute :points, 2
        end
      elsif q.question_type == :trick
        q.update_attribute :points, 3
      end
    end
    
    remove_column :anime_trivia_questions, :question_type
    remove_column :anime_trivia_questions, :parent_id

    # VideoGameTriviaQuestion
    add_column :video_game_trivia_questions, :bonus_question, :text
    add_column :video_game_trivia_questions, :bonus_answer, :text
    add_column :video_game_trivia_questions, :points, :integer
    
    VideoGameTriviaQuestion.reset_column_information
    VideoGameTriviaQuestion.find(:all) do |q|
      if q.question_type == :bonus
        if q.parent?
          q.parent.bonus_question = q.question
          q.parent.bonus_answer = q.answer
          q.delete!
        else
          q.update_attribute :points, 2
	  q.save!
        end
      elsif q.question_type == :trick
        q.update_attribute :points, 3
        q.save!
      end
    end
    
    remove_column :video_game_trivia_questions, :question_type
    remove_column :video_game_trivia_questions, :parent_id
  end
end
