# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of Active Record to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20101228211020) do

  create_table "alternate_names", :force => true do |t|
    t.integer  "item_id",    :limit => 11
    t.string   "item_type"
    t.string   "value"
    t.integer  "creator_id", :limit => 11
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "anime_continuums", :force => true do |t|
    t.string   "name"
    t.string   "state",                         :default => "pending_approval"
    t.text     "pending_changes"
    t.integer  "approver_id",     :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",      :limit => 11
    t.integer  "updater_id",      :limit => 11
  end

  create_table "anime_genres", :force => true do |t|
    t.string   "name"
    t.string   "description"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",  :limit => 11
    t.integer  "updater_id",  :limit => 11
  end

  create_table "anime_genres_anime_series", :id => false, :force => true do |t|
    t.integer "anime_genre_id",  :limit => 11, :null => false
    t.integer "anime_series_id", :limit => 11, :null => false
  end

  add_index "anime_genres_anime_series", ["anime_series_id", "anime_genre_id"], :name => "sqlite_autoindex_anime_genres_anime_series_1", :unique => true

  create_table "anime_scenes", :force => true do |t|
    t.integer  "anime_series_id",          :limit => 11
    t.string   "anime_scene_file_name"
    t.string   "anime_scene_content_type"
    t.integer  "anime_scene_file_size",    :limit => 11
    t.text     "episode"
    t.string   "state",                                  :default => "pending_approval"
    t.text     "pending_changes"
    t.integer  "approver_id",              :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",               :limit => 11
    t.integer  "updater_id",               :limit => 11
  end

  create_table "anime_series", :force => true do |t|
    t.string   "name"
    t.integer  "anime_continuum_id", :limit => 11
    t.integer  "anidb_id",           :limit => 11
    t.string   "years"
    t.string   "state",                            :default => "pending_approval"
    t.text     "pending_changes"
    t.integer  "approver_id",        :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",         :limit => 11
    t.integer  "updater_id",         :limit => 11
  end

  add_index "anime_series", ["anidb_id"], :name => "sqlite_autoindex_anime_series_1", :unique => true

  create_table "anime_trivia_questions", :force => true do |t|
    t.integer  "anime_series_id", :limit => 11
    t.text     "question"
    t.text     "answer"
    t.string   "state",                         :default => "pending_approval"
    t.text     "pending_changes"
    t.integer  "approver_id",     :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",      :limit => 11
    t.integer  "updater_id",      :limit => 11
    t.string   "question_type",                 :default => "normal",           :null => false
    t.integer  "parent_id"
  end

  create_table "comments", :force => true do |t|
    t.integer  "item_id",      :limit => 11
    t.string   "item_type"
    t.integer  "parent_id",    :limit => 11, :default => 0
    t.string   "comment_type",               :default => "general_comment"
    t.text     "text"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",   :limit => 11
    t.integer  "updater_id",   :limit => 11
  end

  create_table "delegators_roles", :force => true do |t|
    t.integer  "role_id",    :limit => 11
    t.integer  "user_id",    :limit => 11
    t.integer  "creator_id", :limit => 11
    t.datetime "created_at"
  end

  create_table "game_history_entries", :force => true do |t|
    t.integer  "item_id"
    t.string   "item_type"
    t.integer  "rating",     :default => 0
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "game_sessions", :force => true do |t|
    t.string   "game_type"
    t.text     "data"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "roles", :force => true do |t|
    t.string  "name"
    t.string  "description"
    t.integer "sort_order",  :limit => 11
  end

  create_table "roles_encompassed_roles", :force => true do |t|
    t.integer "role_id",             :limit => 11
    t.integer "encompassed_role_id", :limit => 11
  end

  create_table "roles_users", :force => true do |t|
    t.integer  "role_id",    :limit => 11
    t.integer  "user_id",    :limit => 11
    t.integer  "creator_id", :limit => 11
    t.datetime "created_at"
  end

  create_table "users", :force => true do |t|
    t.string   "login",                     :limit => 40
    t.string   "name",                      :limit => 100, :default => ""
    t.string   "email",                     :limit => 100
    t.string   "crypted_password",          :limit => 40
    t.string   "salt",                      :limit => 40
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "remember_token",            :limit => 40
    t.datetime "remember_token_expires_at"
    t.string   "activation_code",           :limit => 40
    t.datetime "activated_at"
    t.string   "state",                                    :default => "passive"
    t.datetime "deleted_at"
    t.integer  "updater_id",                :limit => 11
  end

  add_index "users", ["login"], :name => "sqlite_autoindex_users_1", :unique => true

  create_table "video_game_continuums", :force => true do |t|
    t.string   "name"
    t.string   "state",                         :default => "pending_approval"
    t.text     "pending_changes"
    t.integer  "approver_id",     :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",      :limit => 11
    t.integer  "updater_id",      :limit => 11
  end

  create_table "video_game_genres", :force => true do |t|
    t.string   "name"
    t.integer  "parent_id",   :limit => 11
    t.string   "description"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",  :limit => 11
    t.integer  "updater_id",  :limit => 11
  end

  create_table "video_game_genres_video_games", :id => false, :force => true do |t|
    t.integer "video_game_genre_id", :limit => 11, :null => false
    t.integer "video_game_id",       :limit => 11, :null => false
  end

  add_index "video_game_genres_video_games", ["video_game_id", "video_game_genre_id"], :name => "sqlite_autoindex_video_game_genres_video_games_1", :unique => true

  create_table "video_game_scenes", :force => true do |t|
    t.integer  "video_game_id",                 :limit => 11
    t.string   "video_game_scene_file_name"
    t.string   "video_game_scene_content_type"
    t.integer  "video_game_scene_file_size",    :limit => 11
    t.text     "location"
    t.string   "state",                                       :default => "pending_approval"
    t.string   "pending_changes"
    t.integer  "approver_id",                   :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",                    :limit => 11
    t.integer  "updater_id",                    :limit => 11
  end

  create_table "video_game_systems", :force => true do |t|
    t.string   "name"
    t.string   "manufacturer"
    t.string   "state",                         :default => "pending_approval"
    t.text     "pending_changes"
    t.integer  "approver_id",     :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",      :limit => 11
    t.integer  "updater_id",      :limit => 11
  end

  create_table "video_game_trivia_questions", :force => true do |t|
    t.integer  "video_game_id",   :limit => 11
    t.text     "question"
    t.text     "answer"
    t.string   "state",                         :default => "pending_approval"
    t.text     "pending_changes"
    t.integer  "approver_id",     :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",      :limit => 11
    t.integer  "updater_id",      :limit => 11
    t.string   "question_type",                 :default => "normal",           :null => false
    t.integer  "parent_id"
  end

  create_table "video_games", :force => true do |t|
    t.string   "name"
    t.integer  "video_game_system_id",    :limit => 11
    t.integer  "video_game_continuum_id", :limit => 11
    t.integer  "year",                    :limit => 11
    t.string   "state",                                 :default => "pending_approval"
    t.text     "pending_changes"
    t.integer  "approver_id",             :limit => 11
    t.datetime "approved_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "creator_id",              :limit => 11
    t.integer  "updater_id",              :limit => 11
  end

end
