// Place your application-specific JavaScript functions and classes here
// This file is automatically included by javascript_include_tag :defaults

// Toggles a disclosure open and closed.
function toggleDisclosure(id, open_img, closed_img)
{
    if ($(id).style.display == 'none')
    {
        $(id + '_disclosure_image').src = open_img;
    }
    else
    {
        $(id + '_disclosure_image').src = closed_img;
    }
    Effect.toggle(id, 'blind');
}

// Toggles delegation status on and off.
function toggleDelegator(id, user_id)
{
    // Redirect to the delegation add/drop request based on the checkbox
    // status
    if ($(id).checked)
    {
        new Ajax.Request('/users/' + user_id + '/add_delegator_role',
                         {asynchronous:true,
                          evalScripts:true,
						  onComplete:function(request){Element.hide('delegator_role_selecting_indicator');},
						  onLoading:function(request){Element.show('delegator_role_selecting_indicator');},
                          parameters:'id=' + encodeURIComponent(id) + '&authenticity_token=' + encodeURIComponent(window._token)});
    }
    else
    {
        new Ajax.Request('/users/' + user_id + '/remove_delegator_role',
                         {asynchronous:true,
                          evalScripts:true,
						  onComplete:function(request){Element.hide('delegator_role_deselecting_indicator');},
						  onLoading:function(request){Element.show('delegator_role_deselecting_indicator');},
                          parameters:'id=' + encodeURIComponent(id) + '&authenticity_token=' + encodeURIComponent(window._token)});
    }
}

// Builds a new div to contain role information.
function buildRoleDiv(role)
{
    var child, grandChild;
    
    // Build the div.
    role_div = document.createElement('div');
    role_div.id = 'role_' + role.id;
    
    // The name...
    child = document.createElement('div');
    child.className = 'role_name';
    child.appendChild(document.createTextNode(role.name));
    role_div.appendChild(child);
    
    // The delegator div...
    child = document.createElement('input');
    child.type = 'checkbox';
    child.id = 'role_delegator_' + role.id;
    child.value = role.id;
    child.onclick = "toggleDelegator('role_delegator_" + role.id + "');";
    child.name = 'role_delegator_' + role.id;
    child = document.createElement('div').appendChild(document.createTextNode('Can Delegate? ')).appendChild(child);
    child.className = 'role_delegator';
    role_div.appendChild(child);
    
    // The description div...
    child = document.createElement('div');
    child.className = 'role_description';
    child.appendChild(document.createTextNode(role.description));
    role_div.appendChild(child);
    
    // The 'includes' div...
    if (role.encompassedRoles)
    {
        child = document.createElement('img');
        child.id = 'role_' + role.id + '_includes_details_disclosure_image';
        child.className = 'disclosureImage';
        child.alt = '';
        child.src = '<%=%>';
        
        child = document.createElement('a').appendChild(child);
        child.href = '#';
        child.onclick = "toggleDisclosure('role_" + role.id + "_includes_details', '<%=%>', '<%=%>'); return false;";
        
        child = document.createElement('div').appendChild(child);
        child.className = 'role_includes';
        child.appendChild(document.createTextNode(' Includes...'));
        
        role_div.appendChild(child);
        
        // Finally, the disclosure contents.
        child = document.createElement('ul');
        child.id = 'role_' + role.id + '_includes_details';
        child.className = 'role_includes_details';
        child.style.display = 'none';
        
        for (j = 0; j < role.encompassedRoles.length; j++)
        {
            var li = document.createElement('li');
            li.appendChild(document.createTextNode(role.encompassedRoles[j]));
            child.appendChild(li);
        }
        
        role_div.appendChild(child);
    }
    
	return role_div;
}

// Adds a new fully-editable text field list item.
function add_text_list_item(class_type, class_param)
{
    // Get the number of items of the given class, and append a new one BEFORE
    // the last one.  That way, we don't have to fiddle with the images.
    var klass, name, items, lastItem, newItem, textBox, removeLink, removeImg;
    
    if (class_param != '')
    {
        klass = class_type + '_' + class_param;
        name = class_type + '[' + class_param + ']';
    }
    else
    {
        klass = class_type;
        name = class_type;
    }
    
    items = $$('.' + klass);
    
    lastItem = items[items.length - 1];
    newItem = document.createElement(lastItem.nodeName);
    newItem.className = klass;
    
    // Fill the newItem with some of the contents of lastItem.
    textBox = lastItem.removeChild($(klass + '_' + (items.length - 1)));
    newItem.appendChild(textBox);
    
    // And now make the new removal button...
    newItem.appendChild(document.createTextNode(' '));
    removeLink = document.createElement('a');
    removeLink.href = '#';
    // Scope with an eval.  It's easier.
    removeLink.onclick = function(class_type, class_param, items) { return function() { remove_text_list_item(class_type, class_param, (items.length - 1)); return false; } }(class_type, class_param, items);
    
    removeImg = document.createElement('img');
    removeImg.src = delete_img_src;
    removeImg.alt = "(Remove Alternate Name)";
    
    removeLink.appendChild(removeImg);
    newItem.appendChild(removeLink);
    
    // Add newItem...
    lastItem.parentNode.insertBefore(newItem, lastItem);
    
    // And lastly, re-add the new textbox.
    textBox = document.createElement('input');
    textBox.id = klass + '_' + items.length;
    textBox.name = name + '[' + items.length + ']';
    textBox.type = 'text';
    textBox.size = 30;
    lastItem.insertBefore(textBox, lastItem.firstChild);
}

// Removes a fully-editable text field list item.
function remove_text_list_item(class_type, class_param, i)
{
    // Get the items of the given class, and renumber the ones AFTER the one
    // we're removing.
    var klass, name, items, removedItem, nextItem, textBox, removeLink;
    
    if (class_param != '')
    {
        klass = class_type + '_' + class_param;
        name = class_type + '[' + class_param + ']';
    }
    else
    {
        klass = class_type;
        name = class_type;
    }
    
    items = $$('.' + klass);
    
    items[i].parentNode.removeChild(items[i]);
    
    for (i++; i < items.length; i++)
    {
        // Renumber every later item.
        nextItem = items[i];
        
        textBox = nextItem.firstChild; // It damn well oughta be.
        textBox.id = klass + '_' + (i - 1);
        textBox.name = name + '[' + (i - 1) + ']';
        
        removeLink = nextItem.lastChild; // It damn well oughta be.
        if (i != items.length - 1)
        {
            // Scope with an eval.  It's easier.
            removeLink.onclick = function(class_type, class_param, i) { return function() { remove_text_list_item(class_type, class_param, (i - 1)); return false; }; }(class_type, class_param, i);
        }
    }
}

// Does some alerting and such for a merge.
function do_merge(type, src_id, dest_id, src_name, dest_name)
{
	if (confirm("Are you sure you want to merge " + src_name + " into " + dest_name + "?\nThis action cannot be undone, and will attempt to merge data and attached trivia as seamlessly as possible.\nWhere the two are in conflict, the values of " + dest_name + " will take precedence."))
	{
		// Go to the proper merge_with URI.
		form = $('merge_form');
		form.action = "/" + type + "/" + src_id + "/merge_into/" + dest_id;
		form.submit();
	}
}