var all_genres_visible = false;

// Sorts by selected
function sort_by_selected(a, b)
{
    var x = a.selected;
    var y = b.selected;
    return ((x && !y) ? -1 : ((!x && y) ? 1 : 0));
}

// Updates the list of genres
function update_genres(request, save_checks)
{
    var genres, visible_after = 0;
    
    if (request.responseText)
        genres = eval(request.responseText);
    else if (request instanceof Array)
        genres = request;
    else
        return;
    
    // Do nothing if there are no genres, or if they are all visible.
    if (genres.length == 0)
        return;
    
    // Add properties to make getting the div name and checkbox name easier.
    for (var i = 0; i < genres.length; i++)
    {
        genres[i].div_name = 'genre_' + genres[i].underscored_name;
        genres[i].checkbox_name = 'genre_checkbox_' +
          genres[i].underscored_name;
    }
    // Move selected items to the top.
    genres.sort(sort_by_selected);
    
    // For each div...
    var genre_divs = document.getElementsByClassName('genre');
    for (var i = 0; i < genre_divs.length; i++)
    {
        var j;
        
        for (j = 0; j < genres.length; j++)
        {
            // If it's not displayed or in the returned genres...
            if (genre_divs[i].style.display == 'none' ||
                genres[j].div_name == genre_divs[i].id)
            {
                // Flip the checkbox as needed...  But ONLY if we're not
                // saving the checks, because otherwise we don't want to
                // check or uncheck values automatically.
                if (!save_checks &&
                    $(genres[j].checkbox_name).checked != genres[j].selected)
                {
                    $(genres[j].checkbox_name).checked =
                      !$(genres[j].checkbox_name).checked;
                }
                if (genre_divs[i].style.display != 'none' &&
                    !all_genres_visible)
                {
                    if (visible_after < 10)
                        visible_after++;
                    else
                        Effect.toggle(genre_divs[i].id, 'blind');
                }
                break;
            }
        }
        // If it's not in the returned genres and displayed...
        if (j == genres.length && genre_divs[i].style.display != 'none')
        {
            // If checked, and we don't want to save the checks...
            if ($('genre_checkbox_' + genre_divs[i].id.substring(6)).checked &&
                !save_checks)
            {
                // Uncheck it.
                $('genre_checkbox_' + genre_divs[i].id.substring(6)).checked =
                  false;
            }
            // Toggle it invisible.
            if (!all_genres_visible)
                Effect.toggle(genre_divs[i].id, 'blind');
        }
    }
    // For every returned genre...
    for (i = 0; i < genres.length; i++)
    {
        // If its corresponding div is not displayed...
        var genre_div = $(genres[i].div_name);
        if (genre_div.style.display == 'none')
        {
            // Toggle it visible and check it as needed.
            if (!all_genres_visible && visible_after < 10)
            {
                if (i == 0)
                    Effect.toggle(genre_div.id, 'blind', {queue: 'end'});
                else
                    Effect.toggle(genre_div.id, 'blind');
                visible_after++;
            }
        }
        if (genres[i].selected)
            $(genres[i].checkbox_name).checked = true;
    }
}

function toggle_nested_genre(genre)
{
    var genre_div = $('genre_' + genre);
    
    if (genre_div.style.display != 'none')
    {
        var elements = genre_div.getElementsByTagName('input');
        for (var i = 0; i < elements.length; i++)
            elements[i].checked = false;
    }
    Effect.toggle(genre_div, 'blind');
}