var imageWindow = '';

// Handles changing the image in the popup for play.
function doScenePopup(type, id)
{
    if (!imageWindow.closed && imageWindow.location)
    {
	imageWindow.location.href = "/" + type + "/image/" + id;
    }
    else
    {
	imageWindow = window.open("/" + type + "/image/" + id, "scene");
	if (!imageWindow.opener) imageWindow.opener = self;
    }
    window.focus();
    return false;
}

// Changes the mode of the imageWindow.
function changeDrawMode()
{
    if (!imageWindow.closed && imageWindow.location)
    {
        if (imageWindow.zoomableCanvas.mode == 'drawable')
        {
            imageWindow.zoomableCanvas.setDraggable(true);
        }
        else
        {
            imageWindow.zoomableCanvas.setDrawable(true);
        }
    }
    return false;
}

function clearCanvas()
{
    if (!imageWindow.closed && imageWindow.location)
    {
        imageWindow.zoomableCanvas.clearCanvas();
    }
}

// Centers the zoomable such that its maximal dimensions provide the
// given margins and reveals it by hiding the hider element.
function revealZoomable(zoomable)
{
    var margin = '2%';
    var viewportDim = {width: self.innerWidth || (document.documentElement.clientWidth || document.body.clientWidth),
		       height: self.innerHeight || (document.documentElement.clientHeight || document.body.clientHeight)};
    var newDim = { };
    var viewportAspect = viewportDim.width / viewportDim.height;
    var aspect = zoomable.initialSize.width / zoomable.initialSize.height;
    var imageHolder = $('image_holder');
    var hider = $('hider');
    
    // Which is more limiting?  The viewport's width or height?  If
    // the viewport aspect is less, then it's the width.
    if (viewportAspect < aspect)
    {
	// Calculate the corrected dimensions.
	imageHolder.setStyle({'left': margin});
	newDim.width = viewportDim.width - 2 * imageHolder.viewportOffset().left;
	newDim.height = newDim.width / aspect;
    }
    else
    {
	// Calculate the corrected dimensions.
	imageHolder.setStyle({'top': margin});
	newDim.height = viewportDim.height - 2 * imageHolder.viewportOffset().top;
	newDim.width = newDim.height * aspect;
    }
    
    // Now, actually style everything.
    imageHolder.setStyle(
	{'left': ((viewportDim.width - newDim.width) / 2) + 'px',
	 'top': ((viewportDim.height - newDim.height) / 2) + 'px',
	 'width': newDim.width + 'px',
	 'height': newDim.height + 'px'});
    zoomable.container.setStyle(
	{'left': ((viewportDim.width - newDim.width) / 2) + 'px',
	 'top': ((viewportDim.height - newDim.height) / 2) + 'px',
         'width': newDim.width + 'px',
	 'height': newDim.height + 'px'});
    zoomable.elementConstraint.setStyle(
	{'width': newDim.width + 'px',
	 'height': newDim.height + 'px'});
    if (zoomable.elementBundle)
        zoomable.elementBundle.setStyle(
	    {'width': newDim.width + 'px',
	     'height': newDim.height + 'px'});
    zoomable.element.setStyle(
	{'width': newDim.width + 'px',
	 'height': newDim.height + 'px'});
    if (zoomable.canvas)
    {
        zoomable.canvas.setStyle(
	    {'width': newDim.width + 'px',
	     'height': newDim.height + 'px'});
        zoomable.canvas.width = newDim.width;
        zoomable.canvas.height = newDim.height;
    }
    zoomable.initialSize = newDim;
    zoomable.initialPosition = {x: (viewportDim.width - newDim.width) / 2,
				y: (viewportDim.height - newDim.height) / 2};
    if (zoomable.canvas)
    {
        zoomable.refreshCanvas();
    }
    hider.setStyle({'display': 'none'});

    if (!window.onresize)
	window.onresize = function() { revealZoomable(zoomable) };
}