require File.dirname(__FILE__) + '/../test_helper'

class RoleTest < Test::Unit::TestCase
  fixtures :roles
  
  def test_encompassed_role_addition
    role = Role.new :name => 'moderator', :description => 'I am a moderator.'
    role.encompassed_roles << roles(:encompassing_role)
    assert role.encompasses_role?('encompassing role')
    assert role.encompasses_role?('user')
    role.encompassed_roles << roles(:user_role)
    assert role.encompasses_role?('encompassing role')
    assert role.encompasses_role?('user')
  end
  
  def test_all_users
    user_role = roles(:user_role)
    all_users = user_role.all_users
    assert_equal all_users.size, 2
    assert all_users.include?(users(:quentin))
    assert all_users.include?(users(:admin))
  end
  
  def test_all_delegators
    delegator_role = roles(:user_role)
    delegators = delegator_role.all_delegators
    assert_equal delegators.size, 2
    assert delegators.include?(users(:quentin))
    assert delegators.include?(users(:admin))
  end
  
  def test_nested_encompasses_role
    role = roles(:anime_super_moderator)
    assert role.encompasses_role?('anime_series_approver')
  end
end